#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93a05a75, "adf_err_handler" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0x51a0e5e0, "adf_gen4_enable_error_correction" },
	{ 0x74f34a88, "adf_gen4_init_device" },
	{ 0x8ab4b2e2, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0x76406a8a, "adf_gen4_get_ring_to_svc_map" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd659e255, "adf_gen4_get_misc_bar_id" },
	{ 0xcae023ce, "adf_gen4_get_sram_bar_id" },
	{ 0xdce33e5a, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70deb659, "adf_init_admin_comms" },
	{ 0x79f00725, "adf_dev_down" },
	{ 0x92997ed8, "_printk" },
	{ 0xc1103460, "adf_dbgfs_init" },
	{ 0xf08bed29, "adf_send_admin_init" },
	{ 0x494d715, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd20410fc, "adf_gen4_get_etr_bar_id" },
	{ 0x3cf1c55f, "pci_select_bars" },
	{ 0x6faee843, "adf_gen4_init_pf_pfvf_ops" },
	{ 0xec021cd1, "adf_devmgr_add_dev" },
	{ 0x40dabd87, "adf_isr_resource_free" },
	{ 0x582a3bf9, "adf_reset_flr" },
	{ 0x4fa3a78e, "adf_gen4_get_num_accels" },
	{ 0xadf5f522, "adf_gen4_timer_start" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xa9b0848d, "adf_gen4_timer_stop" },
	{ 0xf4d9a945, "pcim_iomap_regions_request_all" },
	{ 0x88c01ebf, "adf_disable_sriov" },
	{ 0xfa583c3e, "adf_cfg_dev_remove" },
	{ 0x1b79f6c7, "adf_gen4_handle_pm_interrupt" },
	{ 0xf0c23b61, "adf_gen4_get_heartbeat_clock" },
	{ 0x566e53ac, "adf_gen4_get_sku" },
	{ 0x20430bbe, "adf_gen4_set_ssm_wdtimer" },
	{ 0x68e2072a, "adf_gen4_dev_config" },
	{ 0xe7038f9d, "adf_dev_up" },
	{ 0x350c9019, "adf_isr_resource_alloc" },
	{ 0x3ba367e2, "adf_cfg_dev_add" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa864a86, "adf_gen4_set_msix_default_rttable" },
	{ 0xe2359cc0, "dma_set_coherent_mask" },
	{ 0x4a196c6a, "adf_gen4_ring_pair_reset" },
	{ 0xa02da500, "adf_init_arb" },
	{ 0xd42975bc, "adf_devmgr_rm_dev" },
	{ 0x2c0f84ec, "adf_gen4_init_hw_csr_ops" },
	{ 0xc9ec945d, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0x60176fd6, "adf_gen4_get_accel_mask" },
	{ 0xfa6ffd23, "adf_gen4_init_vf_mig_ops" },
	{ 0x84f285c9, "dma_set_mask" },
	{ 0x1164125a, "pcim_iomap_table" },
	{ 0xe29451a2, "adf_gen4_enable_pm" },
	{ 0xccb667cc, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0xf0b72d15, "pcim_enable_device" },
	{ 0x7d74f9ab, "adf_get_service_enabled" },
	{ 0x21873ffb, "adf_dbgfs_exit" },
	{ 0xbff541e, "pci_save_state" },
	{ 0x913d7ef0, "adf_gen4_init_ras_ops" },
	{ 0xc7ddfde6, "adf_gen4_init_thd2arb_map" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x755e36f9, "adf_exit_arb" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0x80e9f019, "adf_exit_admin_comms" },
	{ 0x182ad204, "adf_gen4_get_num_aes" },
	{ 0xded674bc, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa262e963, "adf_gen4_enable_ints" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004946sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "93D8D5866EB5BDAE07E1375");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
