#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0895064, "drm_edid_connector_add_modes" },
	{ 0x22c43d37, "drm_add_modes_noedid" },
	{ 0x7d6898a, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0x7cb260ab, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x55fec912, "drm_dev_alloc" },
	{ 0xf0b72d15, "pcim_enable_device" },
	{ 0x8a8f2923, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x29d2d3b0, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x7acdbc27, "__drm_dev_dbg" },
	{ 0xfef31793, "drmm_vram_helper_init" },
	{ 0xbb9c43e1, "drmm_mode_config_init" },
	{ 0x5c413ac1, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xadbe81dd, "drm_edid_read_custom" },
	{ 0xbc3223b3, "drm_simple_display_pipe_init" },
	{ 0x81d83460, "drm_mode_config_reset" },
	{ 0x61a7d879, "drm_dev_register" },
	{ 0xb7300b1d, "drm_fbdev_ttm_setup" },
	{ 0x16e76beb, "drm_connector_attach_edid_property" },
	{ 0xfb6713e8, "drm_edid_connector_update" },
	{ 0xd153fef8, "drm_gem_vram_offset" },
	{ 0x5e521bc9, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xc88c24d8, "drm_vram_mm_debugfs_init" },
	{ 0x78b120a5, "drm_gem_vram_driver_dumb_create" },
	{ 0x724c5a5d, "drm_gem_ttm_dumb_map_offset" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0xfa450257, "drm_read" },
	{ 0xf779fdd9, "drm_poll" },
	{ 0x8bdbc832, "drm_ioctl" },
	{ 0xdbc1dc8d, "drm_compat_ioctl" },
	{ 0x50d8a508, "drm_gem_mmap" },
	{ 0x36768bc6, "drm_open" },
	{ 0x6a24c016, "drm_release" },
	{ 0xe032e252, "drm_vram_helper_mode_valid" },
	{ 0x5f6f9274, "drm_atomic_helper_check" },
	{ 0x127abe44, "drm_atomic_helper_commit" },
	{ 0x85f8d0c2, "drm_atomic_helper_connector_reset" },
	{ 0xf21cf4df, "drm_helper_probe_single_connector_modes" },
	{ 0xc2257cae, "drm_connector_cleanup" },
	{ 0x42e969d, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x2ba43548, "drm_atomic_helper_connector_destroy_state" },
	{ 0x5c1cb221, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x98b00bf2, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb96b6ea5, "drm_mode_config_helper_resume" },
	{ 0xec742175, "drm_mode_config_helper_suspend" },
	{ 0x93e85f2c, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x6319d8fa, "pci_release_regions" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x4f4c65c7, "drm_dev_unplug" },
	{ 0x3022589, "drm_dev_put" },
	{ 0x96ac4df5, "drm_gem_fb_create" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06CC19CA4B2CCD90B2A971A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
