#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0x85b01481, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x1d4e7dd5, "");
SYMBOL_CRC(cx8802_buf_queue, 0xf75d26d8, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x56257c5f, "");
SYMBOL_CRC(cx8802_get_driver, 0x878c4a79, "");
SYMBOL_CRC(cx8802_register_driver, 0xacaf197b, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x06cc3262, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x393696c9, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0xcea60c8b, "cx88_core_put" },
	{ 0xd7049fa5, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcab38875, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x608a916b, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aac752, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa022f983, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ce3cd07, "pci_restore_state" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15881d10, "cx88_sram_channel_dump" },
	{ 0xbb3d7208, "cx88_sram_channel_setup" },
	{ 0x1be44be7, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x6213a9c2, "pci_disable_device" },
	{ 0x84f285c9, "dma_set_mask" },
	{ 0xccb667cc, "pci_read_config_byte" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xf7de4399, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbff541e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd5ff8e6c, "cx88_reset" },
	{ 0xe39b7e12, "cx88_wakeup" },
	{ 0x47c1bd47, "pci_enable_device" },
	{ 0xc2f1ccbd, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
