#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xf43c768b, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x06159e58, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xf7de4399, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xbb3d7208, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x15881d10, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xcab38875, "");
SYMBOL_CRC(cx88_wakeup, 0xe39b7e12, "");
SYMBOL_CRC(cx88_shutdown, 0x393696c9, "");
SYMBOL_CRC(cx88_reset, 0xd5ff8e6c, "");
SYMBOL_CRC(cx88_set_scale, 0x55b14f74, "");
SYMBOL_CRC(cx88_set_tvnorm, 0xf87c84eb, "");
SYMBOL_CRC(cx88_vdev_init, 0xf2826ada, "");
SYMBOL_CRC(cx88_core_get, 0x608a916b, "");
SYMBOL_CRC(cx88_core_put, 0xcea60c8b, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xae0accbe, "");
SYMBOL_CRC(cx88_newstation, 0x30e82fa7, "");
SYMBOL_CRC(cx88_get_stereo, 0x0d29f6ff, "");
SYMBOL_CRC(cx88_set_stereo, 0xed6ee567, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x3133427f, "");
SYMBOL_CRC(cx88_ir_start, 0x1e20a9bf, "");
SYMBOL_CRC(cx88_ir_stop, 0x2f24ad1f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb694b501, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xe2d153c9, "i2c_smbus_xfer" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0xf54f1b7f, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6e781d4, "rc_keyup" },
	{ 0x5a725350, "__v4l2_ctrl_grab" },
	{ 0x52ecd223, "i2c_unregister_device" },
	{ 0x54d35d03, "tveeprom_read" },
	{ 0x7db25fa, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xccc61c8c, "rc_register_device" },
	{ 0xed2be4a9, "dma_alloc_attrs" },
	{ 0xabe8eb72, "rc_keydown" },
	{ 0xa022f983, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f984ab2, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe05f951, "freezing_slow_path" },
	{ 0xa93163fc, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52b607fd, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa682b73b, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa61763f8, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x54b3b55a, "v4l2_ctrl_handler_free" },
	{ 0x5c93a122, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xbe1208d2, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x45862994, "v4l2_i2c_new_subdev" },
	{ 0xccb667cc, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x98deeb7, "ir_raw_event_store_with_filter" },
	{ 0x9108b194, "i2c_smbus_read_byte_data" },
	{ 0xc9486790, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xced992a, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x2907494, "ir_raw_event_handle" },
	{ 0x10246187, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b65aec6, "i2c_bit_add_bus" },
	{ 0x7bd3da55, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
