#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xd49b319a, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xe3614e49, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xc47602a9, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xd5b8b2d8, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xb6836ea9, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xc1a376ec, "_gpl");
SYMBOL_CRC(is_fw_load, 0x91472f44, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xdc859319, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xcfe440f9, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x1bb332a4, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xc86895f2, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x89d66eda, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x8d33d842, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x732ce7ac, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x124a5486, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x35be2878, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x289a48b2, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xe220f870, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x9c7138be, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xdc0aad7a, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x9025e8bd, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xa435f585, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x155042b4, "usb_clear_halt" },
	{ 0xe3d7957b, "usb_put_dev" },
	{ 0x768c17b7, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d08e18d, "video_devdata" },
	{ 0x4759c304, "vb2_fop_release" },
	{ 0xa880f642, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x74d85fe0, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e90e7a9, "usb_submit_urb" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xf54f1b7f, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb5245373, "media_device_register_entity" },
	{ 0x15c0101f, "media_device_cleanup" },
	{ 0xfb8712a0, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x52ecd223, "i2c_unregister_device" },
	{ 0x970187b6, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x838c89a7, "usb_control_msg" },
	{ 0xa022f983, "vb2_buffer_done" },
	{ 0xe096a324, "vb2_plane_vaddr" },
	{ 0x631baa4, "v4l2_ctrl_subscribe_event" },
	{ 0xba5a9af4, "usb_set_interface" },
	{ 0x66fba2c2, "media_entity_pads_init" },
	{ 0xf5792f43, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f984ab2, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc328922, "usb_deregister" },
	{ 0x245d8f86, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc5464cc, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15238988, "v4l2_s_ctrl" },
	{ 0x27cd829, "i2c_mux_alloc" },
	{ 0xe3e4cc3, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7b87870, "vb2_fop_read" },
	{ 0x52b607fd, "v4l2_device_register" },
	{ 0x95e97e56, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa682b73b, "rc_allocate_device" },
	{ 0xeb58cb7, "pv_ops" },
	{ 0xa1fe1a64, "usb_unlink_urb" },
	{ 0x2144672, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x24619523, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b52047b, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x4d82d395, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x80e7aadc, "vb2_ioctl_streamon" },
	{ 0x1a31d0ae, "v4l2_mc_create_media_graph" },
	{ 0xf65afa53, "vb2_fop_poll" },
	{ 0xb9fda848, "cx2341x_handler_init" },
	{ 0xf37cee2a, "cx2341x_handler_set_50hz" },
	{ 0x4e096de5, "__media_device_usb_init" },
	{ 0x54b3b55a, "v4l2_ctrl_handler_free" },
	{ 0x5c93a122, "i2c_transfer" },
	{ 0xbe1208d2, "v4l2_device_unregister" },
	{ 0xae37492f, "usb_reset_endpoint" },
	{ 0x45bce75f, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xdc41d523, "v4l2_subdev_call_wrappers" },
	{ 0x15229daa, "v4l2_ctrl_log_status" },
	{ 0x45862994, "v4l2_i2c_new_subdev" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xc9486790, "video_device_release_empty" },
	{ 0x12a16bc2, "i2c_mux_add_adapter" },
	{ 0xd7625ec6, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb4b169f, "v4l2_event_unsubscribe" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xda657f8f, "vb2_ioctl_reqbufs" },
	{ 0xff9e22af, "vb2_queue_init" },
	{ 0x1b653b0b, "usb_alloc_urb" },
	{ 0x2a531c9a, "v4l2_ctrl_poll" },
	{ 0x20e2150d, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc79dea3, "media_device_unregister" },
	{ 0x1bbe6bda, "usb_free_urb" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x177c4427, "vb2_ioctl_streamoff" },
	{ 0x8f914c8e, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6c3bb28, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9609d4b, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x609b0073, "request_firmware" },
	{ 0x61ddf449, "vb2_ops_wait_finish" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0x7bd3da55, "v4l2_ctrl_handler_init_class" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4826ea6e, "__media_device_register" },
	{ 0x2974d63a, "vb2_ioctl_querybuf" },
	{ 0xb694b501, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x335c73a0, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B08B6CDBAF0D4E5F4D985D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
