#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x35033a8c, "");
SYMBOL_CRC(go7007_read_addr, 0xd7b16ce7, "");
SYMBOL_CRC(go7007_boot_encoder, 0xa672051d, "");
SYMBOL_CRC(go7007_register_encoder, 0x96ab819d, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xc2850df5, "");
SYMBOL_CRC(go7007_alloc, 0xa1b95eaf, "");
SYMBOL_CRC(go7007_update_board, 0xdbbd9832, "");
SYMBOL_CRC(go7007_snd_init, 0x41ab4be0, "");
SYMBOL_CRC(go7007_snd_remove, 0x42906dce, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1976b5cc, "snd_pcm_set_managed_buffer_all" },
	{ 0x941a0421, "param_ops_charp" },
	{ 0xe921d30d, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7b87870, "vb2_fop_read" },
	{ 0x52b607fd, "v4l2_device_register" },
	{ 0x95e97e56, "i2c_add_adapter" },
	{ 0xfdf4b2cc, "snd_card_disconnect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0x24619523, "__video_register_device" },
	{ 0x9b52047b, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x80e7aadc, "vb2_ioctl_streamon" },
	{ 0xf65afa53, "vb2_fop_poll" },
	{ 0x7905b9f2, "v4l2_ctrl_new_std" },
	{ 0x950eb0dc, "v4l2_ctrl_g_ctrl" },
	{ 0x54b3b55a, "v4l2_ctrl_handler_free" },
	{ 0xbe1208d2, "v4l2_device_unregister" },
	{ 0xdc41d523, "v4l2_subdev_call_wrappers" },
	{ 0x992cc999, "snd_pcm_period_elapsed" },
	{ 0x15229daa, "v4l2_ctrl_log_status" },
	{ 0x807669a1, "v4l2_event_queue" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xc9486790, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb4b169f, "v4l2_event_unsubscribe" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xda657f8f, "vb2_ioctl_reqbufs" },
	{ 0xff9e22af, "vb2_queue_init" },
	{ 0x20e2150d, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x19d3b463, "v4l2_device_put" },
	{ 0x177c4427, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc63da86f, "snd_pcm_new" },
	{ 0x1c25e04f, "snd_card_register" },
	{ 0xb537d7ec, "v4l2_i2c_new_subdev_board" },
	{ 0xc6f782d4, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x609b0073, "request_firmware" },
	{ 0x61ddf449, "vb2_ops_wait_finish" },
	{ 0x7bd3da55, "v4l2_ctrl_handler_init_class" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2974d63a, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x335c73a0, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d08e18d, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x4759c304, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xf54f1b7f, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c8df18, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5a725350, "__v4l2_ctrl_grab" },
	{ 0xfb8712a0, "vb2_ioctl_dqbuf" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x5025f5f1, "v4l2_ctrl_new_custom" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc0db13c, "snd_card_free_when_closed" },
	{ 0xa022f983, "vb2_buffer_done" },
	{ 0xe096a324, "vb2_plane_vaddr" },
	{ 0x631baa4, "v4l2_ctrl_subscribe_event" },
	{ 0x564409b7, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x31ea0e4, "v4l2_event_subscribe" },
	{ 0x245d8f86, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc5464cc, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9b100d8b, "snd_device_new" },
	{ 0xe3e4cc3, "vb2_vmalloc_memops" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,videodev,videobuf2-v4l2,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5B5234BB82F944373BA4134");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
