#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(__sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x7e2751c5, "");
SYMBOL_CRC(mmc_request_done, 0xa03ce638, "");
SYMBOL_CRC(mmc_start_request, 0x8a5047dd, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0xbe50c68b, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x4e1d7adb, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x442bc248, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xb5c10be0, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x80436c25, "");
SYMBOL_CRC(mmc_is_req_done, 0x7a240db0, "");
SYMBOL_CRC(mmc_wait_for_req, 0xa54f8163, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x69c2d2ad, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x75640336, "");
SYMBOL_CRC(__mmc_claim_host, 0x80a7d5bf, "");
SYMBOL_CRC(mmc_release_host, 0x6715a4bc, "");
SYMBOL_CRC(mmc_get_card, 0x75a125bc, "");
SYMBOL_CRC(mmc_put_card, 0x7c648113, "");
SYMBOL_CRC(mmc_detect_change, 0x1f7cddbd, "");
SYMBOL_CRC(mmc_erase, 0x2b81d9fe, "");
SYMBOL_CRC(mmc_can_erase, 0x3bae35d5, "");
SYMBOL_CRC(mmc_can_trim, 0xa96dd74c, "");
SYMBOL_CRC(mmc_can_discard, 0xe61f32f5, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x5f26b32e, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x0a20b985, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x86e428a5, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xb0ca45dc, "");
SYMBOL_CRC(mmc_set_blocklen, 0x4b05ba41, "");
SYMBOL_CRC(mmc_hw_reset, 0x8bdec57c, "");
SYMBOL_CRC(mmc_sw_reset, 0x5dfaf60e, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xb42a47c1, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x2a2cd895, "");
SYMBOL_CRC(mmc_register_driver, 0xd8cad72e, "");
SYMBOL_CRC(mmc_unregister_driver, 0x4cc40fc8, "");
SYMBOL_CRC(mmc_retune_pause, 0x97c9dc2b, "");
SYMBOL_CRC(mmc_retune_unpause, 0x53237e0c, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x79651182, "");
SYMBOL_CRC(mmc_retune_release, 0x702e0da8, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xb5534d51, "");
SYMBOL_CRC(mmc_of_parse, 0xbabb1d03, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x616c57ce, "");
SYMBOL_CRC(mmc_alloc_host, 0x0585d597, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x5630ebcf, "");
SYMBOL_CRC(mmc_add_host, 0x54de6413, "");
SYMBOL_CRC(mmc_remove_host, 0x0ea1fa7f, "");
SYMBOL_CRC(mmc_free_host, 0x5bb3dcf7, "");
SYMBOL_CRC(__mmc_send_status, 0x680b2a3f, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x1b59bf84, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x186b3702, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x4bfafe74, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x9c49e344, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x9e70255b, "_gpl");
SYMBOL_CRC(mmc_switch, 0xe6b54ffb, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x90289dae, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x5c20a14c, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x9d8d48cc, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x7605aedb, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0xf03dfb77, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xba28e506, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xb23224c5, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x5a004bba, "_gpl");
SYMBOL_CRC(__sdio_register_driver, 0xdd205a0b, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x63b06334, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xa04b40c5, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x1787464e, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xf88bbe06, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x33b1ab66, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x99a3f883, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xe3690152, "_gpl");
SYMBOL_CRC(sdio_readb, 0xa6f04414, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x9e1991a1, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x53a36ea2, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x807fe55c, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xf022477d, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x53771934, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xe9b112c4, "_gpl");
SYMBOL_CRC(sdio_readw, 0xe2dc737c, "_gpl");
SYMBOL_CRC(sdio_writew, 0x1c9258ab, "_gpl");
SYMBOL_CRC(sdio_readl, 0x9a84e388, "_gpl");
SYMBOL_CRC(sdio_writel, 0x93b20c7f, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x69abef15, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x7ac547a7, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x8e3f6275, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xb000c74c, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xc317cad5, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xa3f66df2, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xc8506e83, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x877146c5, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x671011fd, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x0d06cdf6, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xcbc5e627, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x364a1737, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x4269279f, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x025f3d21, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xc3b9b6d8, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xf0f69439, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x97fcef9b, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x19aa681f, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x41614ab6, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x6743fc9c, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x24da9c78, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x5c404cb3, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xb2b19d78, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x6250d832, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x9395d24b, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x848e6bce, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x8c7be4af, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0xeca78254, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x3a2b00fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x648a9fc2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x66ea4166, "__devres_alloc_node" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x737e622, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc1deee86, "devm_gpiod_get_index" },
	{ 0xe57a58da, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc81265f2, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd87d8359, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7d11714, "_dev_warn" },
	{ 0xd8fae341, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa0ce06e3, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb5fb474f, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68c88b25, "kthread_create_on_node" },
	{ 0xcec48a01, "devm_kasprintf" },
	{ 0x886054fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x43e86f8b, "gpiod_cansleep" },
	{ 0xc44d4206, "debugfs_create_file" },
	{ 0xce53cd1b, "gpiod_is_active_low" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0xafa65e8, "__pm_runtime_resume" },
	{ 0x16fc9218, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb76ed744, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x947c1b35, "single_release" },
	{ 0x9637f816, "regulator_disable" },
	{ 0x7d8610ec, "__pm_runtime_suspend" },
	{ 0xfd012697, "set_primary_fwnode" },
	{ 0xea11b414, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x40141f07, "single_open" },
	{ 0xd00333b1, "gpiod_set_consumer_name" },
	{ 0x67db6de4, "__pm_runtime_disable" },
	{ 0xc4ac49d3, "debugfs_create_dir" },
	{ 0x483d33d, "regulator_set_voltage" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d3975e, "driver_register" },
	{ 0x1d9b7978, "class_register" },
	{ 0x73ae0cf7, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f040288, "__dev_fwnode" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xed1b2673, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb831d536, "gpiod_get_value_cansleep" },
	{ 0x6b0f5d07, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x285ae4a7, "device_property_present" },
	{ 0x6b6025de, "blk_crypto_reprogram_all_keys" },
	{ 0xe3f01b2, "wakeup_source_register" },
	{ 0x84869eaf, "is_acpi_device_node" },
	{ 0xff1dd196, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xda06b6a0, "devm_request_threaded_irq" },
	{ 0x14c30aed, "debugfs_attr_write" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x4553d972, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b88793c, "device_initialize" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x74cc2afe, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0xecea968c, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe09cd7ee, "gpiod_toggle_active_low" },
	{ 0x26aff75a, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0x99a510be, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe97f5a74, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb057e5a6, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xef060acb, "sched_set_fifo_low" },
	{ 0x8c02f8f2, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6fd7b9d2, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x934c418a, "wake_up_process" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x31072447, "pm_generic_runtime_resume" },
	{ 0xd6df0e4c, "pm_generic_resume" },
	{ 0xfb0472c2, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8c41c1c, "__pm_runtime_set_status" },
	{ 0x510c8478, "pm_wakeup_ws_event" },
	{ 0x38e61187, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x153c4558, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbcd3526f, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd2257a52, "put_device" },
	{ 0x5a60e8e1, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x2cf2069c, "device_property_read_u32_array" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0x700fc168, "gpiod_set_debounce" },
	{ 0x4ec3ef4e, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf88a9117, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6fbf90b5, "pm_generic_suspend" },
	{ 0xf3660c7c, "debugfs_attr_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0xbed21cec, "bus_unregister" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x862f4991, "debugfs_create_file_unsafe" },
	{ 0xceeef1db, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x2f7dd766, "simple_attr_release" },
	{ 0x660761cf, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EF3B52DF1F2F2233CA27525");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
