#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcd064fc8, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x8b50cf1f, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xfef456c3, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x072b773e, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x30ba9061, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd05d0f2e, "eth_header_parse" },
	{ 0x3617f705, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x39917e66, "eth_header_cache_update" },
	{ 0x79f4e997, "nf_register_net_hooks" },
	{ 0x65498c75, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7995624f, "ip_route_input_noref" },
	{ 0x9cd73b47, "__dev_get_by_index" },
	{ 0x346c2dff, "rtnl_link_unregister" },
	{ 0xb5764c00, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xa40c120c, "netif_stacked_transfer_operstate" },
	{ 0xd3625583, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7a8dfe1, "ns_capable" },
	{ 0xf31e425f, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc8040236, "ethtool_op_get_link" },
	{ 0x3fce540c, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5571f77c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17f70877, "__pskb_pull_tail" },
	{ 0xd835ecb4, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xde7960cd, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xddab23d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x38258767, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x429bc767, "call_netdevice_notifiers" },
	{ 0x80830cc, "vlan_vid_del" },
	{ 0x317e6fc4, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf4ef323, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4b4ac15d, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x96df7ef4, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8217b5c4, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4eadab86, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x3a3a90b, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29afa518, "dev_change_flags" },
	{ 0xdb60194d, "netdev_core_stats_inc" },
	{ 0x425e7382, "dev_forward_skb" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xed604456, "register_netdevice" },
	{ 0x7d21708f, "__do_once_done" },
	{ 0xac33e8d6, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe3efd489, "dev_pre_changeaddr_notify" },
	{ 0xb159f2a8, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xfd0ec4f2, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x17e8cf9e, "netdev_update_features" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xe12d8dd9, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xec802c4e, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x419887de, "rtnl_link_register" },
	{ 0x405ba7b9, "netif_inherit_tso_max" },
	{ 0xbeedc690, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0x79b29d4f, "ip_route_output_flow" },
	{ 0x7cedeec3, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6aec5f6b, "dev_uc_unsync" },
	{ 0xa928f3f1, "ether_setup" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf82f2b03, "netdev_upper_dev_link" },
	{ 0x93b2c8e5, "register_pernet_subsys" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A817537E82AF1F004482E0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
