#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd638bab4, "usbnet_skb_return" },
	{ 0x466cb19, "genphy_resume" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66284b06, "usbnet_tx_timeout" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x41cd46ea, "usbnet_get_link_ksettings_mii" },
	{ 0x56a2ceeb, "usbnet_read_cmd" },
	{ 0x56942ef1, "skb_copy_expand" },
	{ 0x51ab3d08, "phy_ethtool_get_link_ksettings" },
	{ 0x32bf1593, "usbnet_write_cmd_nopm" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6766eefc, "usbnet_get_link" },
	{ 0xb45a25f2, "phy_suspend" },
	{ 0x6d0295cd, "usbnet_suspend" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0x3b73c096, "usbnet_start_xmit" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ac207f7, "usbnet_read_cmd_nopm" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x97430648, "skb_push" },
	{ 0xf2ae0199, "usbnet_get_drvinfo" },
	{ 0x337026ef, "usbnet_get_endpoints" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x7398a20e, "mdiobus_free" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xe46d12dc, "eth_platform_get_mac_address" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc328922, "usb_deregister" },
	{ 0xeaeaa9e3, "mii_nway_restart" },
	{ 0x480c2425, "phy_start" },
	{ 0x8e183994, "usbnet_nway_reset" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca3ab431, "phy_print_status" },
	{ 0x387e009f, "dev_get_tstats64" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0xdb768bff, "net_selftest" },
	{ 0x34170f34, "mdiobus_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ace9b63, "usbnet_update_max_qlen" },
	{ 0x52ceded5, "usbnet_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xcc848513, "generic_mii_ioctl" },
	{ 0x607e988c, "mdiobus_get_phy" },
	{ 0x7f46e4ef, "usbnet_disconnect" },
	{ 0xd358d5e0, "phy_ethtool_nway_reset" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb4df7f2e, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf98e455b, "usbnet_link_change" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1d87e938, "usbnet_probe" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0x494949a7, "phy_stop" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x63081f64, "phy_do_ioctl_running" },
	{ 0x8bb9f7bf, "usbnet_resume" },
	{ 0x816eb7c7, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0x95ffffc9, "mii_ethtool_gset" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x14ecc87c, "netdev_info" },
	{ 0xb8afa69e, "phylink_connect_phy" },
	{ 0xbd893c26, "mdiobus_alloc_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa046c298, "usbnet_set_msglevel" },
	{ 0xf8876a99, "usbnet_write_cmd" },
	{ 0x8022eea, "eth_mac_addr" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0xc22ca29e, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe5e4455f, "mii_link_ok" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0xe3b87caf, "phy_connect" },
	{ 0x67a0a800, "usbnet_change_mtu" },
	{ 0x55b15e83, "usbnet_write_cmd_async" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xfbcf7498, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x35166723, "phy_ethtool_set_link_ksettings" },
	{ 0x94aaa0f2, "eth_validate_addr" },
	{ 0xbde7a652, "usbnet_unlink_rx_urbs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe9df0a78, "netdev_warn" },
	{ 0xa72dd0a, "usbnet_set_link_ksettings_mii" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a338603, "phylink_create" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0x1de13364, "usbnet_get_msglevel" },
	{ 0x66f6dbc5, "mii_check_media" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3fb9439, "usbnet_open" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "usbnet,libphy,phylink,usbcore,mii,selftests");

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p061Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p172Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp20F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v33F7p0004d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "21C68325AC4A4A01448C525");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
