#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc328922, "usb_deregister" },
	{ 0xf98e455b, "usbnet_link_change" },
	{ 0x55b15e83, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8876a99, "usbnet_write_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56a2ceeb, "usbnet_read_cmd" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0x337026ef, "usbnet_get_endpoints" },
	{ 0xeaeaa9e3, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d87e938, "usbnet_probe" },
	{ 0x7f46e4ef, "usbnet_disconnect" },
	{ 0x6d0295cd, "usbnet_suspend" },
	{ 0x8bb9f7bf, "usbnet_resume" },
	{ 0xc3fb9439, "usbnet_open" },
	{ 0x52ceded5, "usbnet_stop" },
	{ 0x3b73c096, "usbnet_start_xmit" },
	{ 0x94aaa0f2, "eth_validate_addr" },
	{ 0x67a0a800, "usbnet_change_mtu" },
	{ 0x66284b06, "usbnet_tx_timeout" },
	{ 0x387e009f, "dev_get_tstats64" },
	{ 0x1de13364, "usbnet_get_msglevel" },
	{ 0xa046c298, "usbnet_set_msglevel" },
	{ 0x8e183994, "usbnet_nway_reset" },
	{ 0x41cd46ea, "usbnet_get_link_ksettings_mii" },
	{ 0xa72dd0a, "usbnet_set_link_ksettings_mii" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56942ef1, "skb_copy_expand" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0xb5764c00, "skb_pull" },
	{ 0x52df3af4, "skb_trim" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x66f6dbc5, "mii_check_media" },
	{ 0x95ffffc9, "mii_ethtool_gset" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5e4455f, "mii_link_ok" },
	{ 0xf2ae0199, "usbnet_get_drvinfo" },
	{ 0xcc848513, "generic_mii_ioctl" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,mii");

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3427d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "81EDAE61E825248A1C1D81B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
