#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0x8dea2036, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x7422a1eb, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0x69bb718e, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0x688527bf, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0x214043c2, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x01a676b0, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0x448ec943, "");
SYMBOL_CRC(ath6kl_core_init, 0x977a814a, "");
SYMBOL_CRC(ath6kl_core_create, 0x74105ce4, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0xbce19388, "");
SYMBOL_CRC(ath6kl_core_destroy, 0x586945ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xf1049a2a, "cfg80211_put_bss" },
	{ 0x8e4296d1, "cfg80211_roamed" },
	{ 0xc89327d1, "cfg80211_ch_switch_notify" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x56942ef1, "skb_copy_expand" },
	{ 0x6c8dc72f, "skb_queue_tail" },
	{ 0xca0ca6c0, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x144bfe56, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x42a98bb3, "cfg80211_ibss_joined" },
	{ 0xb5764c00, "skb_pull" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xafd28d34, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97430648, "skb_push" },
	{ 0xa53a884, "cfg80211_del_sta_sinfo" },
	{ 0xee88de9b, "wiphy_unregister" },
	{ 0x36453992, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc8040236, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x12fb77c9, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x4f293a1d, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd835ecb4, "netif_rx" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0x52df3af4, "skb_trim" },
	{ 0x92987318, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x289a7d44, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x2bfaf697, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x834093e7, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc8fac830, "cfg80211_conn_failed" },
	{ 0xe68521a5, "cfg80211_inform_bss_data" },
	{ 0xacf62518, "cfg80211_connect_done" },
	{ 0x470e66d1, "__cfg80211_get_bss" },
	{ 0x31196561, "wiphy_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x821038f8, "cfg80211_sched_scan_results" },
	{ 0x64e5580a, "cfg80211_cqm_txe_notify" },
	{ 0x313ec177, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10246187, "param_ops_uint" },
	{ 0xc22ca29e, "skb_put" },
	{ 0xf53ae8be, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xadae36c5, "cfg80211_sched_scan_stopped" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf011034, "cfg80211_remain_on_channel_expired" },
	{ 0xf14198e6, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a167c2f, "cfg80211_register_netdevice" },
	{ 0x609b0073, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27a6281b, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x230186e2, "cfg80211_new_sta" },
	{ 0x1c23b0b9, "netdev_set_default_ethtool_ops" },
	{ 0x6d4255c1, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa928f3f1, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c0540e, "pskb_expand_head" },
	{ 0x9b3473d5, "skb_queue_purge_reason" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0xde4862da, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xffe2ffd5, "alloc_netdev_mqs" },
	{ 0x95d8ef3, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf05b20b4, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc0c63134, "wiphy_register" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "72FB4C58FCDF1FE81609892");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
