#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b9dfdf4, "rt2x00usb_disconnect" },
	{ 0x6c6d4e98, "rt2x00usb_suspend" },
	{ 0xc166524b, "rt2x00usb_resume" },
	{ 0xaf5a8713, "rt2x00usb_initialize" },
	{ 0x882eae20, "rt2x00usb_uninitialize" },
	{ 0x39515832, "rt2x00usb_clear_entry" },
	{ 0xd6d669c1, "rt2x00usb_watchdog" },
	{ 0x513353cf, "rt2x00usb_kick_queue" },
	{ 0x51b0d47e, "rt2x00usb_flush_queue" },
	{ 0x65f1b3f0, "rt2x00mac_tx" },
	{ 0x9e449a0f, "rt2x00mac_start" },
	{ 0x64258d3, "rt2x00mac_stop" },
	{ 0x5290fcc1, "rt2x00mac_add_interface" },
	{ 0x7d2bcdb7, "rt2x00mac_remove_interface" },
	{ 0x539fcc68, "rt2x00mac_config" },
	{ 0xb46b7cb6, "rt2x00mac_bss_info_changed" },
	{ 0x59804b88, "rt2x00mac_configure_filter" },
	{ 0xcb444fe3, "rt2x00mac_set_tim" },
	{ 0x6f49ed9c, "rt2x00mac_set_key" },
	{ 0xe0eb8249, "rt2x00mac_sw_scan_start" },
	{ 0xfb933d9d, "rt2x00mac_sw_scan_complete" },
	{ 0xec4bf59c, "rt2x00mac_get_stats" },
	{ 0x9fcf8d2a, "rt2x00mac_conf_tx" },
	{ 0x2dfc8d90, "rt2x00mac_rfkill_poll" },
	{ 0xf131aeca, "rt2x00mac_flush" },
	{ 0x99d7c3aa, "rt2x00mac_set_antenna" },
	{ 0xe61262ec, "rt2x00mac_get_antenna" },
	{ 0xa9b45685, "rt2x00mac_get_ringparam" },
	{ 0xd904a15, "rt2x00mac_tx_frames_pending" },
	{ 0x5ada20d4, "ieee80211_emulate_add_chanctx" },
	{ 0x9f6741a, "ieee80211_emulate_remove_chanctx" },
	{ 0x8fb4185c, "ieee80211_emulate_change_chanctx" },
	{ 0xb1b9ce81, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa67a5b69, "ieee80211_handle_wake_tx_queue" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0xf98c17ea, "rt2x00usb_probe" },
	{ 0x52df3af4, "skb_trim" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0x2e90e7a9, "usb_submit_urb" },
	{ 0xc328922, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x93c77661, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x73651161, "rt2x00usb_vendor_request_buff" },
	{ 0xcff47fc9, "rt2x00usb_vendor_request" },
	{ 0xadc443fc, "rt2x00lib_set_mac_address" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x97430648, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5e98a837, "rt2x00usb_disable_radio" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
