#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x847053ac, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x8abc0969, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0xfed51923, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x63a7b0cb, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x67a8b788, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x58b560f0, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0xbd5ad36d, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x174903dd, "");
SYMBOL_CRC(rtl92c_dm_init, 0xcafac311, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x9bf13e59, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x486fb95a, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x57376127, "");
SYMBOL_CRC(rtl92c_download_fw, 0x9cb73b73, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x201ffd00, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0xeab8b298, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x610f62b0, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xcca71b58, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x4928ddb3, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x54506f22, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x6d16c836, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xc3cf1c30, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x97e7dc24, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x00ac2c00, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x1c4d931c, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0x2a1a3f2c, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x307c72d2, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x39385f74, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x69d5feef, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x9efb6ade, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xa4aebb7a, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0xe6389114, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0xf4898887, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xfc2455f9, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x03368d95, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0xee3dfe5f, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x356a408b, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xc980516d, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xe3bd11ef, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0xe45bda03, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xf9a1a5a6, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x73808e9e, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x9cbe185c, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x0c1faf39, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xe44d0b96, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0xb7f99103, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1162ea0e, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79500440, "rtl_cmd_send_packet" },
	{ 0x272f91c, "_rtl_dbg_print_data" },
	{ 0xa2d126a8, "rtl_fw_page_write" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x901e0eb1, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xc22ca29e, "skb_put" },
	{ 0x1b99558f, "rtl_fw_block_write" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
