#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc664aea8, "efuse_read_1byte" },
	{ 0x8296b700, "rtl_process_phyinfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x57f8cd12, "rtl_cam_reset_all_entry" },
	{ 0x6d16c836, "rtl92c_phy_query_bb_reg" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0xe44d0b96, "rtl92ce_phy_set_rf_on" },
	{ 0x9afb836d, "rtl_cam_empty_entry" },
	{ 0x54506f22, "rtl92c_set_p2p_ps_offload_cmd" },
	{ 0x5d4195fb, "rtl_cam_del_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x307c72d2, "rtl92c_phy_rf_config" },
	{ 0x1bf71a95, "rtl_cam_mark_invalid" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91988f77, "dev_driver_string" },
	{ 0x1162ea0e, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x95365bce, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cbe185c, "rtl92c_phy_set_io_cmd" },
	{ 0x69d5feef, "_rtl92c_store_pwrindex_diffrate_offset" },
	{ 0x51c0b7f2, "rtl_rfreg_delay" },
	{ 0x2a8bd29f, "rtl_pci_disconnect" },
	{ 0x9cb73b73, "rtl92c_download_fw" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4928ddb3, "rtl92c_set_fw_joinbss_report_cmd" },
	{ 0x2aa4cb80, "rtlwifi_rate_mapping" },
	{ 0xb0a52913, "rtl_pci_suspend" },
	{ 0x3a26a44, "request_firmware_nowait" },
	{ 0xb7f99103, "_rtl92c_phy_set_rf_sleep" },
	{ 0xe2c2a535, "rtl_signal_scale_mapping" },
	{ 0x272f91c, "_rtl_dbg_print_data" },
	{ 0xac2c00, "_rtl92c_phy_fw_rf_serial_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x610f62b0, "rtl92c_set_fw_pwrmode_cmd" },
	{ 0x174903dd, "rtl92c_dm_rf_saving" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeab8b298, "rtl92c_firmware_selfreset" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xae9efe09, "rtl_get_hwinfo" },
	{ 0xd0842ce9, "rtl_ps_enable_nic" },
	{ 0x9c8b1d80, "rtl_pci_resume" },
	{ 0xc3cf1c30, "rtl92c_phy_set_bb_reg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcafac311, "rtl92c_dm_init" },
	{ 0xe3bd11ef, "rtl92c_phy_iq_calibrate" },
	{ 0x67a8b788, "rtl92c_dm_init_edca_turbo" },
	{ 0x811f3f69, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0xeb58cb7, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0xc6ce540c, "rtl_cam_add_one_entry" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe45bda03, "rtl92c_phy_lc_calibrate" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3368d95, "rtl92c_phy_set_bw_mode" },
	{ 0x1c4d931c, "_rtl92c_phy_rf_serial_read" },
	{ 0x8ecfdf9f, "rtl_get_tcb_desc" },
	{ 0x2a1a3f2c, "_rtl92c_phy_rf_serial_write" },
	{ 0x9efb6ade, "_rtl92c_phy_init_bb_rf_register_definition" },
	{ 0x9bf13e59, "rtl92c_dm_watchdog" },
	{ 0xde0ab76c, "rtl_ps_disable_nic" },
	{ 0x58b560f0, "rtl92c_dm_check_txpower_tracking" },
	{ 0xcca71b58, "rtl92c_set_fw_rsvdpagepkt" },
	{ 0xa4aebb7a, "rtl92c_phy_set_txpower_level" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x97e7dc24, "_rtl92c_phy_fw_rf_serial_read" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x73808e9e, "rtl92c_phy_set_rfpath_switch" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5ff6ecd3, "rtl_cam_get_free_entry" },
	{ 0x773bad9e, "rtl_pci_probe" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0x9be81bab, "rtl_cam_delete_one_entry" },
	{ 0xc96d32b6, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x356a408b, "rtl92c_phy_sw_chnl" },
	{ 0x201ffd00, "rtl92c_fill_h2c_cmd" },
	{ 0x39385f74, "_rtl92c_phy_bb8192c_config_parafile" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,rtl8192c-common,mac80211,rtl_pci");

MODULE_ALIAS("pci:v000010ECd00008191sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008178sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008177sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008176sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "904C7E06C927070C779446F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
