#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x9b3b80f2, "");
SYMBOL_CRC(free_rtllib, 0x6169eb30, "");
SYMBOL_CRC(rtllib_rx, 0xf1f1ed33, "");
SYMBOL_CRC(rtllib_legal_channel, 0xe63e4922, "");
SYMBOL_CRC(rtllib_xmit, 0x58ba8818, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x3c171a3b, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x58f242c9, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x0614df41, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xad94d29b, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0xe1f1153f, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x444d72d1, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0xc50b56c8, "");
SYMBOL_CRC(rtllib_stop_scan, 0xc009252e, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x0ef09ff5, "");
SYMBOL_CRC(rtllib_act_scanning, 0x16bb4d52, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x818efae2, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xa0ff36d6, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xa5fd5135, "");
SYMBOL_CRC(rtllib_reset_queue, 0xb0345cfd, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xc6271d2b, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x0bb211ad, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x386ce59a, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x193217a0, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0x84cf6dfa, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x388bd158, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xc253142b, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xe06cac9a, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xa4b36df6, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x033e8025, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xbf7a3c87, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xaadac75d, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x88e57fec, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x1336e9d4, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x8053a699, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x9cd7eb8e, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xaf725576, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x0cf95ef3, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x1a7c57d5, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x2218d1ad, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xe99ab464, "");
SYMBOL_CRC(remove_peer_ts, 0x3b24df65, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9df0a78, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde4862da, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7db25137, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6c8dc72f, "skb_queue_tail" },
	{ 0xd5954fc6, "lib80211_get_crypto_ops" },
	{ 0xb5764c00, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97430648, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x2118ac, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x36453992, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb34644d3, "netif_tx_stop_all_queues" },
	{ 0x12fb77c9, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd835ecb4, "netif_rx" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab82e999, "netdev_alert" },
	{ 0xdf420667, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbdd2f56c, "lib80211_crypt_delayed_deinit" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x14ecc87c, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb57dd0f, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7ab5a2a, "try_module_get" },
	{ 0xc22ca29e, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xa42acc19, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "99210DB2825DB7CC8756E49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
