#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x25b70682, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x1d430497, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xd556edbd, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x183931f0, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x8341617e, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0xc6b623f1, "_gpl");
SYMBOL_CRC(rndis_register, 0x2dc40f68, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xb4b333b6, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0xb3ce1b01, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0xff449d75, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0xd5480672, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x3e6a06b4, "_gpl");
SYMBOL_CRC(rndis_free_response, 0xa0f52825, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0xbea401fe, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x82d2ce8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c507212, "gether_get_host_addr_u8" },
	{ 0x18f3f072, "gether_set_qmult" },
	{ 0xc77d8c86, "config_group_init_type_name" },
	{ 0x8f65169d, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97430648, "skb_push" },
	{ 0x2a95b310, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x36453992, "free_netdev" },
	{ 0x5d465b3c, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x3f4020d6, "usb_put_function_instance" },
	{ 0x12fb77c9, "netif_tx_wake_queue" },
	{ 0xb987609a, "gether_connect" },
	{ 0x94b1d011, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53c4671d, "gether_set_host_addr" },
	{ 0x52df3af4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x695ab5d5, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x5e02b203, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x2372aea, "gether_get_ifname" },
	{ 0x68363976, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0xbc993e01, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xc323e066, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc06cbfce, "usb_free_all_descriptors" },
	{ 0x85b67af1, "usb_gstrings_attach" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa13d5bd7, "dev_get_stats" },
	{ 0x15bf3e7c, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xc1de0dfe, "usb_interface_id" },
	{ 0x10dce301, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e660802, "gether_disconnect" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf3c59a6, "config_ep_by_speed" },
	{ 0xda175efc, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x747f670e, "gether_register_netdev" },
	{ 0x6c8dc72f, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x38841548, "usb_function_register" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xb5764c00, "skb_pull" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "C42FBC2FF91D69C514B903A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
