#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x9a1b2664, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xacdaae2e, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xa42b7e6e, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x0844e362, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xbc89d47e, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x6f95be44, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xf876c39b, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x078536b1, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x8715feb0, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xeb7d540f, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x02e358e2, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x6347fb75, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x3c3b2fa7, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x6ec2cab7, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xd141c360, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xc451db45, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x34ef99a4, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xad7cf180, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x04ba00db, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xffcb6b89, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xa0c260b6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xe146253f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x95b39816, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x43ed607e, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xcd91a6a1, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0xfb1c92f8, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x1e39f8c1, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x5039e746, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xe79d1984, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x7180e717, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd2257a52, "put_device" },
	{ 0x74e645b6, "devlink_resource_register" },
	{ 0x18a78060, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1f0965ac, "netif_device_detach" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7d6e89c7, "switchdev_bridge_port_offload" },
	{ 0x5dcfcac4, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0xc91fb6d8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28a994de, "ptp_classify_raw" },
	{ 0xe1a5435c, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x47487865, "devlink_region_create" },
	{ 0x9ad3dca9, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9cd73b47, "__dev_get_by_index" },
	{ 0x346c2dff, "rtnl_link_unregister" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x27e3e288, "devlink_port_unregister" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x397bf2c3, "init_net" },
	{ 0xd46dff3d, "noop_qdisc" },
	{ 0x461b8f82, "phy_ethtool_get_strings" },
	{ 0xd126d1fb, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xcbf1f831, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4ff0ea44, "dev_remove_pack" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdae29ede, "gro_cells_receive" },
	{ 0xc3d02361, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x97430648, "skb_push" },
	{ 0xd3625583, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x75922b23, "dev_mc_del" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0xf413591, "br_vlan_get_info" },
	{ 0x36453992, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7398a20e, "mdiobus_free" },
	{ 0xab4a9c55, "sysfs_create_group" },
	{ 0x9a44c97d, "devlink_resource_occ_get_register" },
	{ 0xc8040236, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xffba9869, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xcb49b5, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfc7c6692, "switchdev_bridge_port_unoffload" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd718f623, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x387e009f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd835ecb4, "netif_rx" },
	{ 0xf9925f1c, "dev_mc_add" },
	{ 0x90af8201, "flow_block_cb_alloc" },
	{ 0xb6cbb193, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52df3af4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0xeb58cb7, "pv_ops" },
	{ 0x37b384b8, "sysfs_remove_group" },
	{ 0xdb768bff, "net_selftest" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0x34170f34, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x33fdf239, "devlink_port_init" },
	{ 0xad3181f9, "__netpoll_setup" },
	{ 0xddab23d4, "__dev_queue_xmit" },
	{ 0x38258767, "vlan_vid_add" },
	{ 0xf557f6a0, "devlink_params_register" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0x85d5d7bc, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x80830cc, "vlan_vid_del" },
	{ 0x317e6fc4, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xac312c8, "devlink_resources_unregister" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x11442914, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb9c112cd, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4e3d3c13, "devlink_port_region_create" },
	{ 0x459d62fc, "devlink_priv" },
	{ 0x834093e7, "skb_copy" },
	{ 0x1ca74553, "__hw_addr_sync_dev" },
	{ 0x61f09b91, "devlink_port_register_with_ops" },
	{ 0x607e988c, "mdiobus_get_phy" },
	{ 0x4b4ac15d, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb4df7f2e, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb0a6c18f, "dev_uc_add" },
	{ 0x2edd3833, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbd40ae8d, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xe7421344, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xe8cfd9ca, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf3bed599, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x7b3e2288, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x47c6a6f8, "dcb_ieee_setapp" },
	{ 0x5c44edf1, "phy_ethtool_get_sset_count" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c5069db, "__skb_vlan_pop" },
	{ 0xb8afa69e, "phylink_connect_phy" },
	{ 0x2fa34aca, "br_get_ageing_time" },
	{ 0xed604456, "register_netdevice" },
	{ 0xbd893c26, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x1dd0f37d, "netdev_lower_get_next" },
	{ 0x71ec44d8, "flow_block_cb_lookup" },
	{ 0x6c455d05, "switchdev_handle_port_obj_add_foreign" },
	{ 0x73217f25, "devlink_resource_occ_get_unregister" },
	{ 0x367d53d0, "dev_set_mtu" },
	{ 0x6dfb5759, "br_vlan_enabled" },
	{ 0xb0970144, "__skb_pad" },
	{ 0xe7ab5a2a, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb677c62a, "skb_ensure_writable_head_tail" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x262acd5d, "devlink_unregister" },
	{ 0x8c4cf099, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xcea4b69f, "br_port_flag_is_set" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x41d44bcd, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x658775fc, "br_port_get_stp_state" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x89578f5f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22fb9a5, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e95f11b, "__netpoll_free" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0xd26a9ba3, "br_vlan_get_proto" },
	{ 0x16f75939, "br_mst_get_state" },
	{ 0x4c62bd30, "unregister_netdev" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x3ca6b5b0, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69d9fe7d, "netpoll_send_skb" },
	{ 0x419887de, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd330b45e, "devlink_params_unregister" },
	{ 0x91e207d3, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xccbc4294, "devlink_alloc_ns" },
	{ 0xe44b45a4, "dev_set_promiscuity" },
	{ 0x5bcabdf4, "devlink_register" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0xd312325d, "devlink_free" },
	{ 0x4d281100, "gro_cells_init" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0xe9df0a78, "netdev_warn" },
	{ 0x7cedeec3, "unregister_netdevice_queue" },
	{ 0xb057e5a6, "get_device" },
	{ 0xb67872d7, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa928f3f1, "ether_setup" },
	{ 0x69a05c75, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf82f2b03, "netdev_upper_dev_link" },
	{ 0x7c0540e, "pskb_expand_head" },
	{ 0xe9c1dfb1, "switchdev_handle_port_attr_set" },
	{ 0x1a338603, "phylink_create" },
	{ 0xe4e1268f, "vlan_for_each" },
	{ 0x75a2e41e, "netdev_port_same_parent_id" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0xde4862da, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xffe2ffd5, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f593ea3, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x63aef3f3, "vlan_dev_vlan_proto" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "1DB1C77A8DA8DF5E9504002");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
