#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x3e9521d4, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x55b6f945, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x4074bb74, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xbef164e5, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x6a41fedd, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x640c3eb4, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xf46e1c8b, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x04a2b0f7, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x0193a128, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xb1378067, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x188383c5, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x6b23a913, "");
SYMBOL_CRC(key_type_rxrpc, 0x9bce1ba7, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xd67e63a6, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x9b84c531, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xb8a9ff28, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xf6a726f1, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xefa09c72, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xc91ead75, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x991274ac, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x1c026a71, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xfbcf1992, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x60acb720, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xe775bd13, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ac8e7b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb07adf32, "kernel_sock_shutdown" },
	{ 0xbd7b1deb, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf1d40878, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7ce46777, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x140c89c3, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x750e38c0, "lock_sock_nested" },
	{ 0xc81265f2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xac21e800, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x68307329, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x98e6a2af, "sk_alloc" },
	{ 0x2e1ab7be, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc69db77b, "__sock_recv_wifi_status" },
	{ 0x8667ac6a, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc1d06fea, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c10e049, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5d6d4d7b, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x48fc8268, "key_validate" },
	{ 0x7aae97ff, "crypto_alloc_sync_skcipher" },
	{ 0xb6a300e6, "setup_udp_tunnel_sock" },
	{ 0x1ee12abd, "proc_remove" },
	{ 0x8b45e75e, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68c88b25, "kthread_create_on_node" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0xdf59f60d, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfed74ecf, "ipv4_mtu" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0xd2761ecb, "keyring_search" },
	{ 0xfc6e12ba, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde6697cb, "request_key_tag" },
	{ 0xe85e40e3, "generic_key_instantiate" },
	{ 0x32891c48, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x24115302, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb76ed744, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x834093e7, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf4ef323, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4b4ac15d, "dst_release" },
	{ 0xf079c9ff, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc02663be, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xd2c80143, "sock_no_ioctl" },
	{ 0xcf412525, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x4988de6, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x7e77624d, "bpf_trace_run7" },
	{ 0x3087c6e5, "ip_icmp_error" },
	{ 0x1cc2be66, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfedeea96, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3f065cd6, "skb_to_sgvec" },
	{ 0xd2cfb65a, "register_pernet_device" },
	{ 0x429d4104, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x252d6fa2, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x7c123f82, "kmem_cache_destroy" },
	{ 0x2647d66d, "release_sock" },
	{ 0x9c138ce4, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8b986651, "proc_create_net_single_write" },
	{ 0xb8ab50fc, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xb0f9580b, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc7e32b5, "key_alloc" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x138d2d81, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x10246187, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0x3ee4bc18, "udp_sock_create4" },
	{ 0xd4d064e0, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf14198e6, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x81004987, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xdb079560, "udpv6_sendmsg" },
	{ 0x3de64712, "unregister_key_type" },
	{ 0x29124403, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f69ab89, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x12b8e0c, "crypto_skcipher_setkey" },
	{ 0x79b29d4f, "ip_route_output_flow" },
	{ 0x747bbdc7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc608bcbe, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xf72ef8b8, "register_key_type" },
	{ 0xba28e14f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74dd2585, "put_cmsg" },
	{ 0x934c418a, "wake_up_process" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x67bcf592, "register_net_sysctl_sz" },
	{ 0x4368610f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xfe03f738, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x79783830, "ipv6_icmp_error" },
	{ 0xd25b1dbd, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x22e12183, "crypto_skcipher_decrypt" },
	{ 0x37c987ac, "make_kuid" },
	{ 0x65498c75, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0xfb2c745d, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x6c8dc72f, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x15900417, "__sock_recv_timestamp" },
	{ 0xad96e0d, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x397bf2c3, "init_net" },
	{ 0xb5764c00, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x46c6d72c, "sock_enable_timestamps" },
	{ 0x2a80add7, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xee70f6f9, "ip6_mtu" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x358f4554, "sk_free" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5A6A9ED6BB8E61233AF542B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
