#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x5b96a9f4, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xc9595b8d, "_gpl");
SYMBOL_CRC(tls_get_record, 0xd797ab18, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5ca4b56c, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x1b718407, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd9ea7a8f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0xae4158c5, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1518bd74, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x719cb15d, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7d1f5d89, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc54dbe6, "crypto_aead_encrypt" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xd159b015, "__SCK__tp_func_sk_data_ready" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x358f4554, "sk_free" },
	{ 0xbc61da7, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5a529d0, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3a300867, "sk_stream_wait_memory" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0x7ce46777, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3e6942a8, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x750e38c0, "lock_sock_nested" },
	{ 0xdc55510d, "__put_devmap_managed_folio_refs" },
	{ 0xb0288819, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xac21e800, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2e1ab7be, "bpf_trace_run1" },
	{ 0xaa39aab9, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5571f77c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x49135066, "sock_efree" },
	{ 0xcb8d6a5, "iov_iter_bvec" },
	{ 0x93f2482f, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9ffc588, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf74717b, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x52df3af4, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xbb4d196e, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xccd06d28, "tcp_register_ulp" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0xcb0cbce6, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfa5cfe91, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x18241163, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7a317873, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa2d9c195, "remove_proc_entry" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb76ed744, "seq_printf" },
	{ 0x6528c4d0, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf4ef323, "skb_clone" },
	{ 0x4b4ac15d, "dst_release" },
	{ 0xf079c9ff, "_copy_from_iter" },
	{ 0x12e326e9, "skb_copy_header" },
	{ 0xcd22f432, "sk_msg_trim" },
	{ 0xf2631021, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa6a481f8, "netdev_sk_get_lowest_dev" },
	{ 0xb53908a6, "sk_msg_alloc" },
	{ 0xb8d188de, "_copy_from_iter_nocache" },
	{ 0xb8c66d59, "tcp_rate_check_app_limited" },
	{ 0xf9d69477, "tcp_poll" },
	{ 0x1cc2be66, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd8bd37de, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3f065cd6, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x49b1f557, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x1a8052c8, "tcp_read_done" },
	{ 0x2647d66d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7b7dc439, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4e43ce4c, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1556ce0b, "tcp_read_sock" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x138d2d81, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd5054d31, "sk_page_frag_refill" },
	{ 0xc22ca29e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x446d9cf7, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xfd25200e, "sk_psock_msg_verdict" },
	{ 0xd4d064e0, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7cf6e61d, "iov_iter_get_pages2" },
	{ 0x1aeba45a, "___pskb_trim" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x411f740e, "clean_acked_data_enable" },
	{ 0x21bfab93, "skb_splice_bits" },
	{ 0x34715685, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xf66875bf, "__tracepoint_sk_data_ready" },
	{ 0xb7ac1245, "crypto_aead_setauthsize" },
	{ 0xcce041d5, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4849251f, "sk_stream_error" },
	{ 0xce22f273, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf54c2e9e, "sk_msg_memcopy_from_iter" },
	{ 0x4399fe5b, "sk_error_report" },
	{ 0x93b2c8e5, "register_pernet_subsys" },
	{ 0x74dd2585, "put_cmsg" },
	{ 0xbea3312, "__sk_flush_backlog" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x4368610f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x16b35ed2, "sk_psock_tls_strp_read" },
	{ 0x761a07a2, "sk_msg_clone" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "853855CAE8AEAAACCA35AF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
