#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x2ff42916, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x61bc63af, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xcbd446a1, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x8de91937, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x9c57836b, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x0de84b35, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x25d41216, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x88000a85, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x397f87a1, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x33778fff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef6f018, "snd_pcm_hw_rule_noresample" },
	{ 0xbc4663be, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8505be72, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1e726726, "snd_dma_alloc_dir_pages" },
	{ 0xda06b6a0, "devm_request_threaded_irq" },
	{ 0x10246187, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1946d025, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5806128e, "snd_ac97_write_cache" },
	{ 0x9ea2c31d, "snd_ctl_add" },
	{ 0x3c964433, "snd_ac97_resume" },
	{ 0xc63da86f, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdb88b5e2, "snd_seq_device_new" },
	{ 0x1c25e04f, "snd_card_register" },
	{ 0x609b0073, "request_firmware" },
	{ 0x22c30d72, "snd_devm_alloc_dir_pages" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0x4f3e8452, "snd_pcm_hw_constraint_minmax" },
	{ 0xfe6c64b5, "snd_pcm_set_sync_per_card" },
	{ 0x54c839f, "snd_timer_interrupt" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x3eb1acc6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa9d326b, "snd_card_rw_proc_new" },
	{ 0x2d01285a, "snd_ac97_update_bits" },
	{ 0xd6f5ce26, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x65785032, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xe33c560e, "snd_ctl_remove" },
	{ 0x208173ff, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc8154a55, "snd_ctl_find_id" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdce33e5a, "pci_read_config_dword" },
	{ 0xa7fdc6a0, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc72b8697, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a8b3a71, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4b138f12, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x7b65d2d9, "snd_ac97_suspend" },
	{ 0xc35eb49c, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0xe2f8e58f, "snd_ctl_boolean_mono_info" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{  0x44615, "snd_pcm_lib_ioctl" },
	{ 0x16f2f780, "snd_pcm_lib_free_pages" },
	{ 0x59d2aed, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22366fc6, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf24b09b4, "snd_ctl_notify" },
	{ 0x564409b7, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x67be2954, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x36910c62, "snd_timer_new" },
	{ 0xde544796, "snd_ctl_rename" },
	{ 0xc52ff74e, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5814fa60, "snd_ac97_update" },
	{ 0x1976b5cc, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x941a0421, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x688f1626, "snd_rawmidi_new" },
	{ 0xe2359cc0, "dma_set_coherent_mask" },
	{ 0x7e8806e, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c0da393, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3269a776, "snd_rawmidi_set_ops" },
	{ 0xe17a5c4d, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0xadc2dbd9, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb76ed744, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xce65dc26, "snd_info_create_card_entry" },
	{ 0x84f285c9, "dma_set_mask" },
	{ 0x2324f8c8, "snd_device_free" },
	{ 0x992cc999, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xf0b72d15, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "89D46A9160B5F47917A0CAE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
