#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x606fc48c, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x326176f9, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xee5a5999, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x81ef2583, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x2fdfdac7, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x6ce71b8b, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73aa17c1, "snd_soc_component_disable_pin_unlocked" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0x75734a8d, "snd_soc_info_volsw" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xe1881662, "wm_adsp_event" },
	{ 0xb995cf68, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf24b09b4, "snd_ctl_notify" },
	{ 0xe4ce6458, "wm_adsp_fw_enum" },
	{ 0x7d11714, "_dev_warn" },
	{ 0xabcde299, "wm_adsp2_component_probe" },
	{ 0xdeb44118, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b0b8350, "wm_adsp2_preloader_get" },
	{ 0xb6b720ed, "snd_soc_info_enum_double" },
	{ 0xecbcf9df, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe64dc6ef, "devm_regmap_add_irq_chip" },
	{ 0x25f9157, "snd_soc_get_volsw" },
	{ 0xf8a5b116, "regmap_read" },
	{ 0x53345d69, "snd_soc_put_volsw" },
	{ 0x27b35014, "wm_adsp_fw_get" },
	{ 0xafa65e8, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x29cd1d8, "snd_soc_component_enable_pin_unlocked" },
	{ 0xe9466b3f, "snd_soc_component_get_kcontrol_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb658ff8a, "regmap_bulk_read" },
	{ 0x6b7335ee, "regmap_update_bits_base" },
	{ 0x9637f816, "regulator_disable" },
	{ 0x3d751d4c, "dev_err_probe" },
	{ 0x55de987c, "regmap_multi_reg_write" },
	{ 0x50fe3ba, "snd_soc_dapm_get_volsw" },
	{ 0x7d8610ec, "__pm_runtime_suspend" },
	{ 0x41cdcf7e, "regmap_register_patch" },
	{ 0xb378f358, "snd_soc_dapm_get_enum_double" },
	{ 0x469e63ae, "__pm_runtime_use_autosuspend" },
	{ 0xdb0ef494, "wm_halo_init" },
	{ 0x2c4463a, "wm_adsp_early_event" },
	{ 0x67db6de4, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf6068acd, "snd_soc_dapm_put_enum_double" },
	{ 0x720c925c, "wm_adsp_fw_put" },
	{ 0x6b0f5d07, "regulator_enable" },
	{ 0x4d40a311, "regcache_cache_only" },
	{ 0xbbb47901, "regcache_sync" },
	{ 0xda0f14c1, "regmap_write" },
	{ 0xda06b6a0, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1ab9b87e, "pm_runtime_set_autosuspend_delay" },
	{ 0x549e7f5d, "gpiod_set_value_cansleep" },
	{ 0x2cf1c5f6, "wm_adsp2_remove" },
	{ 0x606bc8d6, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6f6f4abf, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27e8e434, "devm_gpiod_get_optional" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8c41c1c, "__pm_runtime_set_status" },
	{ 0x58ceaa72, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a60e8e1, "pm_runtime_enable" },
	{ 0x2cf2069c, "device_property_read_u32_array" },
	{ 0x80a23629, "devm_regulator_get" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "5DAC06DE70CD5E5BCA2D1CA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
