#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x29ff3290, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xca4ed8c6, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x65512a2f, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x6b4fa199, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x51d059d5, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xb77b24bc, "");
SYMBOL_CRC(hda_dsp_probe, 0xc01eea08, "");
SYMBOL_CRC(hda_dsp_remove, 0x589e73cf, "");
SYMBOL_CRC(hda_power_down_dsp, 0x22db2cd9, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x75ce3f8e, "");
SYMBOL_CRC(sof_hda_common_ops, 0xc9699c95, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xc034a600, "pci_alloc_irq_vectors" },
	{ 0x5eadb0f6, "intel_nhlt_get_dmic_geo" },
	{ 0x6103b9c4, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x88001732, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xccd61667, "hda_sdw_process_wakeen" },
	{ 0x9c759985, "hda_sdw_int_enable" },
	{ 0xfc390881, "hda_bus_ml_init" },
	{ 0x5b8a23aa, "hda_codec_probe_bus" },
	{ 0x609359a6, "sof_hda_bus_exit" },
	{ 0x6777f997, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x1cc393d1, "sdw_intel_exit" },
	{ 0x3584875e, "hda_codec_check_for_state_change" },
	{ 0xb72ffe94, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x37a0cba, "kfree" },
	{ 0xedfaeac8, "sdw_hda_dai_trigger" },
	{ 0xe7c1f68c, "hda_bus_ml_free" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0x873148b3, "hda_dsp_cl_boot_firmware" },
	{ 0x9f0ed37c, "hda_dsp_pcm_hw_params" },
	{ 0x763579d3, "hda_sdw_check_lcount" },
	{ 0xbcf6a91e, "snd_intel_dsp_driver_probe" },
	{ 0x8072fad1, "pci_irq_vector" },
	{ 0x23b29ec2, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x51942c87, "pci_ioremap_bar" },
	{ 0xf48447d3, "hda_dsp_ctrl_init_chip" },
	{ 0x326958d2, "sdw_hda_dai_hw_free" },
	{ 0x67b93205, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x245e3756, "hda_dsp_suspend" },
	{ 0xc630fd01, "hda_dsp_runtime_suspend" },
	{ 0x32a3701a, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5cdc7fb, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xbeb59aa9, "hda_dai_config" },
	{ 0xeed0930b, "hda_probes_unregister" },
	{ 0xf9a6f106, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9673b47c, "hda_dsp_pcm_ack" },
	{ 0xacc2bea6, "hda_dsp_trace_release" },
	{ 0xc2fb5807, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xc063ea70, "hda_dsp_dump" },
	{ 0xcfd0d2a7, "sdw_intel_startup" },
	{ 0x9ca311a1, "hda_dsp_pcm_pointer" },
	{ 0xabaa7d7e, "sdw_intel_process_wakeen_event" },
	{ 0x5716559d, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb4836ef7, "sof_mailbox_read" },
	{ 0x79440508, "hda_bus_ml_put_all" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x77462ada, "debugfs_create_bool" },
	{ 0xb667664b, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x15132a2e, "__tracepoint_sof_intel_hda_irq" },
	{ 0x84fcf423, "platform_device_unregister" },
	{ 0xb11d47f8, "hda_dsp_trace_init" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x74c92abc, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x2123bd16, "hda_codec_device_remove" },
	{ 0x58e2d693, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9304d0aa, "snd_sof_dsp_update_bits" },
	{ 0x98d42245, "snd_sof_pci_update_bits" },
	{ 0xb3c8678f, "sof_hda_bus_init" },
	{ 0xa87e8ce3, "hda_dsp_runtime_idle" },
	{ 0x3eb61000, "hda_dsp_pcm_open" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x43b8bf65, "sdw_intel_lnl_hw_ops" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x941a0421, "param_ops_charp" },
	{ 0x47581675, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x5e7f12df, "hda_dsp_pcm_close" },
	{ 0xe2359cc0, "dma_set_coherent_mask" },
	{ 0xcec48a01, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6c76764c, "hda_check_ipc_irq" },
	{ 0xfea8825f, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x646ffe21, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcd042c57, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86a09ed1, "sof_machine_unregister" },
	{ 0x4c6bc616, "skl_dai" },
	{ 0x8ec959d4, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb8a9cb60, "sdw_intel_probe" },
	{ 0x887c6fd2, "snd_sof_load_firmware_raw" },
	{ 0xb7e6dc52, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xd6caf319, "hda_is_chain_dma_supported" },
	{ 0xefaa00d9, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x84f285c9, "dma_set_mask" },
	{ 0x1e913256, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x3d751d4c, "dev_err_probe" },
	{ 0x42b2ea43, "hda_dsp_stream_init" },
	{ 0xa7168a8b, "hda_dsp_get_stream_ldp" },
	{ 0xfee6be14, "hda_dsp_stream_free" },
	{ 0x4164ff3f, "hda_dsp_ctrl_get_caps" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x5ca715fa, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7d817dc7, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x179c15a, "hda_codec_i915_init" },
	{ 0x59f6230a, "pci_free_irq_vectors" },
	{ 0x9d0a9c17, "hda_dsp_check_stream_irq" },
	{ 0xd4c22681, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x464a8888, "hda_dsp_ipc_get_window_offset" },
	{ 0x5bce89c1, "hda_ipc_msg_data" },
	{ 0xc7c4527f, "sof_machine_register" },
	{ 0x525fbe5c, "hdac_bus_eml_get_mutex" },
	{ 0xfec853d3, "snd_soc_acpi_intel_hda_machines" },
	{ 0xc774e98, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x7e15745, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x3804039c, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb05ee4a0, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x584f6061, "hda_get_interface_mask" },
	{ 0xbff22b96, "hda_codec_i915_display_power" },
	{ 0x84869eaf, "is_acpi_device_node" },
	{ 0x28280e6e, "hda_dsp_pcm_trigger" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "8A67514427DEB120A10A4BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
