#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_prot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page_many_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_accessed, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_kick, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_DATA(kvm_rebooting, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_get_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_populate, "_gpl", "");
KSYMTAB_DATA(kvm_caps, "_gpl", "");
KSYMTAB_DATA(kvm_host, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_DATA(report_ignored_msrs, "_gpl", "");
KSYMTAB_DATA(enable_vmware_backdoor, "_gpl", "");
KSYMTAB_DATA(enable_pmu, "_gpl", "");
KSYMTAB_DATA(kvm_nr_uret_msrs, "_gpl", "");
KSYMTAB_DATA(allow_smaller_maxphyaddr, "_gpl", "");
KSYMTAB_DATA(enable_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_add_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_find_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_apic_mode, "_gpl", "");
KSYMTAB_FUNC(kvm_spurious_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_deliver_exception_payload, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_p, "_gpl", "");
KSYMTAB_FUNC(kvm_complete_insn_gp, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_emulated_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_require_dr, "_gpl", "");
KSYMTAB_FUNC(load_pdptrs, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_lmsw, "_gpl", "");
KSYMTAB_FUNC(kvm_load_guest_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_load_host_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_xsetbv, "_gpl", "");
KSYMTAB_FUNC(__kvm_is_valid_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr3, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_get_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_update_dr7, "_gpl", "");
KSYMTAB_FUNC(kvm_set_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdpmc, "_gpl", "");
KSYMTAB_FUNC(kvm_valid_efer, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_efer_bits, "_gpl", "");
KSYMTAB_FUNC(kvm_msr_allowed, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wrmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_invd, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invalid_op, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_mwait, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_monitor, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_set_msr_irqoff, "_gpl", "");
KSYMTAB_FUNC(kvm_read_l1_tsc, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_multiplier, "_gpl", "");
KSYMTAB_FUNC(kvm_service_local_tlb_flush_requests, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_read, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_write, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_virt, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_virt_system, "_gpl", "");
KSYMTAB_FUNC(handle_ud, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wbinvd, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_realmode_interrupt, "_gpl", "");
KSYMTAB_FUNC(__kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_skip_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(x86_decode_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction_from_buffer, "_gpl", "");
KSYMTAB_FUNC(kvm_fast_pio, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_init, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt_noskip, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_ap_reset_hold, "_gpl", "");
KSYMTAB_FUNC(kvm_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(__kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_update_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_set_or_clear_apicv_inhibit, "_gpl", "");
KSYMTAB_FUNC(kvm_task_switch, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_reset, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_deliver_sipi_vector, "_gpl", "");
KSYMTAB_FUNC(__x86_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_is_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_get_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_set_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_start_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_end_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_assigned_device, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_register_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_unregister_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_no_poll, "_gpl", "");
KSYMTAB_FUNC(kvm_spec_ctrl_test_value, "_gpl", "");
KSYMTAB_FUNC(kvm_fixup_and_inject_pf_error, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_memory_failure, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invpcid, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_write, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_read, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_string_io, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_rmp_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_injectable_intr, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_get_interrupt, "_gpl", "");
KSYMTAB_DATA(kvm_has_noapic_vcpu, "_gpl", "");
KSYMTAB_FUNC(__kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_clear_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_find_highest_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_ppr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_match_dest, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_eoi_accelerated, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_send_ipi, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_readable_reg_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_wait_lapic_expire, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_expired_hv_timer, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_set_eoi, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_write_nodecode, "_gpl", "");
KSYMTAB_FUNC(kvm_alloc_apic_access_page, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msi_irq, "_gpl", "");
KSYMTAB_FUNC(kvm_intr_is_single_vcpu, "_gpl", "");
KSYMTAB_DATA(kvm_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_update_cpuid_runtime, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry_index, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry, "_gpl", "");
KSYMTAB_FUNC(kvm_cpuid, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_cpuid, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_cap, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_eventsel, "_gpl", "");
KSYMTAB_FUNC(pmc_write_counter, "_gpl", "");
KSYMTAB_FUNC(kvm_pmu_trigger_event, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_guest_mode_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_new_pgd, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_npt_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_ept_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_reset_context, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_print_sptes, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invalidate_addr, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invlpg, "_gpl", "");
KSYMTAB_FUNC(kvm_configure_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_zap_gfn_range, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_register_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_add_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_remove_gfn, "_gpl", "");
KSYMTAB_DATA(enable_mmio_caching, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_me_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_ept_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_assist_page_enabled, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_get_assist_page, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs_range, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(hv_track_root_tdp, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0xdd7122e6, "_gpl");
SYMBOL_CRC(vcpu_put, 0xa64825a2, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0xb6b646ce, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0xd37936d9, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x50103034, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0xc1fab098, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0x91fcac25, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0x97a97ca7, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0xe1021397, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x647ff7f1, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0x309d7249, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0x710e496a, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0xbf026b6e, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x9f23c547, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0xe3b35569, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x9c310aec, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x6cdb19e6, "_gpl");
SYMBOL_CRC(__gfn_to_pfn_memslot, 0x6a0cece3, "_gpl");
SYMBOL_CRC(gfn_to_pfn_prot, 0xf3063bfd, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot, 0xae025fb6, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot_atomic, 0x43ea70a5, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn_atomic, 0xdb2e9e36, "_gpl");
SYMBOL_CRC(gfn_to_pfn, 0x0e834f94, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn, 0x3a2d7e79, "_gpl");
SYMBOL_CRC(gfn_to_page_many_atomic, 0xe2edd659, "_gpl");
SYMBOL_CRC(gfn_to_page, 0x572d84de, "_gpl");
SYMBOL_CRC(kvm_vcpu_map, 0xf436c06e, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x1c48deb6, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0xd49a952a, "_gpl");
SYMBOL_CRC(kvm_release_pfn_clean, 0x4e3fd1b4, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0xcab0450a, "_gpl");
SYMBOL_CRC(kvm_release_pfn_dirty, 0x7c94c99a, "_gpl");
SYMBOL_CRC(kvm_set_pfn_dirty, 0xa1c4231f, "_gpl");
SYMBOL_CRC(kvm_set_pfn_accessed, 0x6892e3c3, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x8a4ba25a, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x78db9447, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0xc22d4c8a, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0x46e0b4a5, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0x5c35949d, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0xd4ccaf3f, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0x6793b2b0, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x1a98fcbe, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0x59f3bb3f, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0xe79c2821, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x5af5f9a8, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0x206c42f0, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0xe9384fa5, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0x8f6199eb, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0x799b8ac9, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0x37a80715, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x339ab9dc, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0xb7d9c0e4, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0xabef1e7a, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0x6b8c8d1c, "_gpl");
SYMBOL_CRC(kvm_vcpu_kick, 0x79267e3f, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0xf5c9eaf6, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0xd293ca1c, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0xd7786ed3, "_gpl");
SYMBOL_CRC(file_is_kvm, 0xd311d482, "_gpl");
SYMBOL_CRC(kvm_rebooting, 0x485cd7f6, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x19b72946, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0x626b821d, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0x7dae6f9f, "_gpl");
SYMBOL_CRC(kvm_init, 0xc87b5b07, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0xff0dc394, "_gpl");
SYMBOL_CRC(kvm_gmem_get_pfn, 0x90687938, "_gpl");
SYMBOL_CRC(kvm_gmem_populate, 0x01b926f5, "_gpl");
SYMBOL_CRC(kvm_caps, 0xcf509080, "_gpl");
SYMBOL_CRC(kvm_host, 0xb8bdeb6e, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_get_cs_db_l_bits, 0x8a806a51, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_get_cs_db_l_bits, 0x53d9f927, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_cache_reg, 0xb2ddce4e, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_cache_reg, 0x59387ba3, "_gpl");
SYMBOL_CRC(report_ignored_msrs, 0xc96d35f4, "_gpl");
SYMBOL_CRC(enable_vmware_backdoor, 0x1db1c372, "_gpl");
SYMBOL_CRC(enable_pmu, 0xb82c0987, "_gpl");
SYMBOL_CRC(kvm_nr_uret_msrs, 0x0b58a11d, "_gpl");
SYMBOL_CRC(allow_smaller_maxphyaddr, 0x9cf59e7a, "_gpl");
SYMBOL_CRC(enable_apicv, 0xce576a13, "_gpl");
SYMBOL_CRC(kvm_add_user_return_msr, 0x7fe19488, "_gpl");
SYMBOL_CRC(kvm_find_user_return_msr, 0x3ab2794c, "_gpl");
SYMBOL_CRC(kvm_set_user_return_msr, 0x053614ec, "_gpl");
SYMBOL_CRC(kvm_get_apic_mode, 0xf1997012, "_gpl");
SYMBOL_CRC(kvm_spurious_fault, 0x709cd8cb, "_gpl");
SYMBOL_CRC(kvm_deliver_exception_payload, 0x92d64aef, "_gpl");
SYMBOL_CRC(kvm_queue_exception, 0xa8f7fc4b, "_gpl");
SYMBOL_CRC(kvm_requeue_exception, 0xc53cc972, "_gpl");
SYMBOL_CRC(kvm_queue_exception_p, 0xdd236f44, "_gpl");
SYMBOL_CRC(kvm_complete_insn_gp, 0x4fe2b181, "_gpl");
SYMBOL_CRC(kvm_inject_emulated_page_fault, 0xd3bf6202, "_gpl");
SYMBOL_CRC(kvm_queue_exception_e, 0xdb038bfa, "_gpl");
SYMBOL_CRC(kvm_requeue_exception_e, 0xa15714d2, "_gpl");
SYMBOL_CRC(kvm_require_dr, 0xf5ac2f1c, "_gpl");
SYMBOL_CRC(load_pdptrs, 0x9d02d83f, "_gpl");
SYMBOL_CRC(kvm_post_set_cr0, 0x90476f1c, "_gpl");
SYMBOL_CRC(kvm_set_cr0, 0x7348a338, "_gpl");
SYMBOL_CRC(kvm_lmsw, 0x99f4e621, "_gpl");
SYMBOL_CRC(kvm_load_guest_xsave_state, 0x57c197b1, "_gpl");
SYMBOL_CRC(kvm_load_host_xsave_state, 0xd8f49fe7, "_gpl");
SYMBOL_CRC(kvm_emulate_xsetbv, 0x3e08a056, "_gpl");
SYMBOL_CRC(__kvm_is_valid_cr4, 0x32900896, "_gpl");
SYMBOL_CRC(kvm_post_set_cr4, 0x5cbe5ec3, "_gpl");
SYMBOL_CRC(kvm_set_cr4, 0xc2f6477f, "_gpl");
SYMBOL_CRC(kvm_set_cr3, 0x7124299a, "_gpl");
SYMBOL_CRC(kvm_set_cr8, 0xcb446df7, "_gpl");
SYMBOL_CRC(kvm_get_cr8, 0xb0a84c56, "_gpl");
SYMBOL_CRC(kvm_update_dr7, 0xbfb72f78, "_gpl");
SYMBOL_CRC(kvm_set_dr, 0x354a2dd3, "_gpl");
SYMBOL_CRC(kvm_get_dr, 0x66286cc1, "_gpl");
SYMBOL_CRC(kvm_emulate_rdpmc, 0x9acc4510, "_gpl");
SYMBOL_CRC(kvm_valid_efer, 0x746ee3a2, "_gpl");
SYMBOL_CRC(kvm_enable_efer_bits, 0x1d013832, "_gpl");
SYMBOL_CRC(kvm_msr_allowed, 0xb5713e68, "_gpl");
SYMBOL_CRC(kvm_get_msr, 0xcae297dd, "_gpl");
SYMBOL_CRC(kvm_set_msr, 0x0af787d1, "_gpl");
SYMBOL_CRC(kvm_emulate_rdmsr, 0x52f7d965, "_gpl");
SYMBOL_CRC(kvm_emulate_wrmsr, 0xfd2fb372, "_gpl");
SYMBOL_CRC(kvm_emulate_invd, 0x3a9fce36, "_gpl");
SYMBOL_CRC(kvm_handle_invalid_op, 0xb4497b4e, "_gpl");
SYMBOL_CRC(kvm_emulate_mwait, 0x4c2859ac, "_gpl");
SYMBOL_CRC(kvm_emulate_monitor, 0x95176524, "_gpl");
SYMBOL_CRC(handle_fastpath_set_msr_irqoff, 0x0db33b10, "_gpl");
SYMBOL_CRC(kvm_read_l1_tsc, 0xc23e33eb, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_offset, 0x6303c089, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_multiplier, 0xef14fd98, "_gpl");
SYMBOL_CRC(kvm_service_local_tlb_flush_requests, 0x46b9ff80, "_gpl");
SYMBOL_CRC(kvm_set_msr_common, 0x93da52ef, "_gpl");
SYMBOL_CRC(kvm_get_msr_common, 0xd93cad71, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_read, 0x54407224, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_write, 0xedb320f0, "_gpl");
SYMBOL_CRC(kvm_read_guest_virt, 0x3fa55da3, "_gpl");
SYMBOL_CRC(kvm_write_guest_virt_system, 0xb764f83d, "_gpl");
SYMBOL_CRC(handle_ud, 0xefcac2d1, "_gpl");
SYMBOL_CRC(kvm_emulate_wbinvd, 0x074df2b5, "_gpl");
SYMBOL_CRC(kvm_inject_realmode_interrupt, 0xd2c1e5a9, "_gpl");
SYMBOL_CRC(__kvm_prepare_emulation_failure_exit, 0x206461e5, "_gpl");
SYMBOL_CRC(kvm_prepare_emulation_failure_exit, 0xf4cf4de8, "_gpl");
SYMBOL_CRC(kvm_skip_emulated_instruction, 0xd4dbc153, "_gpl");
SYMBOL_CRC(x86_decode_emulated_instruction, 0xf339787c, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction, 0x33123f43, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction_from_buffer, 0x2271e84f, "_gpl");
SYMBOL_CRC(kvm_fast_pio, 0xc4308d79, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_init, 0x58f1f99e, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_exit, 0x687b78fc, "_gpl");
SYMBOL_CRC(kvm_emulate_halt_noskip, 0x1f442a49, "_gpl");
SYMBOL_CRC(kvm_emulate_halt, 0x769c0e1f, "_gpl");
SYMBOL_CRC(kvm_emulate_ap_reset_hold, 0x0a9bdeb2, "_gpl");
SYMBOL_CRC(kvm_apicv_activated, 0xb7848c63, "_gpl");
SYMBOL_CRC(kvm_vcpu_apicv_activated, 0x8f2dd9cc, "_gpl");
SYMBOL_CRC(__kvm_emulate_hypercall, 0xb5149f6f, "_gpl");
SYMBOL_CRC(kvm_emulate_hypercall, 0xe5e1e7cc, "_gpl");
SYMBOL_CRC(__kvm_vcpu_update_apicv, 0xfb6c00f6, "_gpl");
SYMBOL_CRC(kvm_set_or_clear_apicv_inhibit, 0x790647ad, "_gpl");
SYMBOL_CRC(kvm_task_switch, 0x0b84b18a, "_gpl");
SYMBOL_CRC(kvm_vcpu_reset, 0x076ab181, "_gpl");
SYMBOL_CRC(kvm_vcpu_deliver_sipi_vector, 0x42c6b9b4, "_gpl");
SYMBOL_CRC(__x86_set_memory_region, 0xf4d0eb42, "_gpl");
SYMBOL_CRC(kvm_get_linear_rip, 0x73699d44, "_gpl");
SYMBOL_CRC(kvm_is_linear_rip, 0x09ee8e97, "_gpl");
SYMBOL_CRC(kvm_get_rflags, 0x065568d9, "_gpl");
SYMBOL_CRC(kvm_set_rflags, 0x05875397, "_gpl");
SYMBOL_CRC(kvm_arch_start_assignment, 0x0db0c878, "_gpl");
SYMBOL_CRC(kvm_arch_end_assignment, 0xad447c80, "_gpl");
SYMBOL_CRC(kvm_arch_has_assigned_device, 0x3683548c, "_gpl");
SYMBOL_CRC(kvm_arch_register_noncoherent_dma, 0x61c388c2, "_gpl");
SYMBOL_CRC(kvm_arch_unregister_noncoherent_dma, 0x19cef6a2, "_gpl");
SYMBOL_CRC(kvm_arch_has_noncoherent_dma, 0xa6fea9c5, "_gpl");
SYMBOL_CRC(kvm_arch_no_poll, 0x015a2873, "_gpl");
SYMBOL_CRC(kvm_spec_ctrl_test_value, 0x2d82cc24, "_gpl");
SYMBOL_CRC(kvm_fixup_and_inject_pf_error, 0x925b1a36, "_gpl");
SYMBOL_CRC(kvm_handle_memory_failure, 0x338c3627, "_gpl");
SYMBOL_CRC(kvm_handle_invpcid, 0x873c32f0, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_write, 0x58053ca3, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_read, 0x4fb98055, "_gpl");
SYMBOL_CRC(kvm_sev_es_string_io, 0x4ccddcd7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_entry, 0xd409c064, "_gpl");
SYMBOL_CRC(__traceiter_kvm_entry, 0x6db91cfb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_entry, 0x6c2f4081, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_entry, 0xc071e99f, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_exit, 0x98fb80d3, "_gpl");
SYMBOL_CRC(__traceiter_kvm_exit, 0x31a00ab8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_exit, 0x03de6ae4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_exit, 0x616e6c95, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_fast_mmio, 0x2f9f3e7f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_fast_mmio, 0x752c2b00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_fast_mmio, 0x296f2c6f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_fast_mmio, 0xea5cda33, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_inj_virq, 0x562d8398, "_gpl");
SYMBOL_CRC(__traceiter_kvm_inj_virq, 0x7f51547e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_inj_virq, 0x108a8cdd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_inj_virq, 0x6becaded, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_page_fault, 0x47eec37a, "_gpl");
SYMBOL_CRC(__traceiter_kvm_page_fault, 0x205a23e6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_page_fault, 0x5a5f230c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_page_fault, 0x7ff2a104, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_msr, 0x2a1b863d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_msr, 0xdc7369fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_msr, 0x6b3301fd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_msr, 0xf084b57d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_cr, 0xed27f56e, "_gpl");
SYMBOL_CRC(__traceiter_kvm_cr, 0x17f9cfe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_cr, 0xc1da55c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_cr, 0x778e30b9, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter, 0x6e803e4a, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter, 0x74910627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter, 0x17eee28a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter, 0x6d2c9437, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit, 0x5362f639, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit, 0x26bef0c1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit, 0xe1069230, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit, 0x2510fc6d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit_inject, 0xe5602424, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit_inject, 0x114eb824, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit_inject, 0x38547b27, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit_inject, 0x8b618aa6, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intr_vmexit, 0x066e4f36, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intr_vmexit, 0x912a9286, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intr_vmexit, 0x2617e2d5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intr_vmexit, 0xd09da48b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter_failed, 0xe6f75f0d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter_failed, 0x23263c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter_failed, 0x7f233ae8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter_failed, 0xe93dfc8c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_invlpga, 0x51ce99a3, "_gpl");
SYMBOL_CRC(__traceiter_kvm_invlpga, 0x54c1e24a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_invlpga, 0x9f7fa50c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_invlpga, 0x4a1c261b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_skinit, 0xb7eadbb7, "_gpl");
SYMBOL_CRC(__traceiter_kvm_skinit, 0xb96e9aa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_skinit, 0x6732ebc0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_skinit, 0xe0e786a7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intercepts, 0xde19d03b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intercepts, 0xa6a50230, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intercepts, 0xc831804e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intercepts, 0xa588ef67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_write_tsc_offset, 0x2f835c33, "_gpl");
SYMBOL_CRC(__traceiter_kvm_write_tsc_offset, 0x5c11e105, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_write_tsc_offset, 0x6b1c6cec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_write_tsc_offset, 0xa84a2e73, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_ple_window_update, 0xa4b480d6, "_gpl");
SYMBOL_CRC(__traceiter_kvm_ple_window_update, 0x1412f042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_ple_window_update, 0xb29cd0a3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_ple_window_update, 0x93a3e40e, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pml_full, 0x28ead8a8, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pml_full, 0xc60d7d0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pml_full, 0x6e4dd7ed, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pml_full, 0xf2df48f3, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pi_irte_update, 0x9968e68c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pi_irte_update, 0x45e80fdf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pi_irte_update, 0xe0063a4c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pi_irte_update, 0x388e0e10, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_unaccelerated_access, 0xe5df654b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_unaccelerated_access, 0x9f68faa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_unaccelerated_access, 0x26e5f671, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_unaccelerated_access, 0xf32dff97, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_incomplete_ipi, 0x1ceb11cd, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_incomplete_ipi, 0x9e20b2bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_incomplete_ipi, 0x25c8dba2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_incomplete_ipi, 0x4942be67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_ga_log, 0xa6152904, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_ga_log, 0xa7022320, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_ga_log, 0x1f6e4ced, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_ga_log, 0x1d1b139a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_kick_vcpu_slowpath, 0x3b8461bd, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_kick_vcpu_slowpath, 0x4733bf8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, 0x25556a17, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5f911332, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_doorbell, 0x03807d31, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_doorbell, 0xc7fe55ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_doorbell, 0xb1e41938, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_doorbell, 0x1f8e9483, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_apicv_accept_irq, 0xd6f5ce42, "_gpl");
SYMBOL_CRC(__traceiter_kvm_apicv_accept_irq, 0x3d93fb92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_apicv_accept_irq, 0x926afe9d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_apicv_accept_irq, 0x5c7e9f84, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_enter, 0x6fdf77e0, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_enter, 0x8f3a890e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_enter, 0xddbb13e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_enter, 0x8a7fe54a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_exit, 0xd75a5a78, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_exit, 0x7510a39a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_exit, 0x0e357bc1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_exit, 0x48644036, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_enter, 0x818cb2eb, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_enter, 0x0ca8df68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, 0x474351ca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, 0xf54e2886, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_exit, 0x8afe7d7a, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_exit, 0x25c07225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, 0x49c4ee40, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, 0x0cff45f4, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_rmp_fault, 0x780e4b19, "_gpl");
SYMBOL_CRC(__traceiter_kvm_rmp_fault, 0x0f9aec81, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_rmp_fault, 0x7efe5909, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_rmp_fault, 0xad9b683b, "_gpl");
SYMBOL_CRC(kvm_cpu_has_injectable_intr, 0x1fbfdd75, "_gpl");
SYMBOL_CRC(kvm_cpu_has_interrupt, 0x8eba8a68, "_gpl");
SYMBOL_CRC(kvm_cpu_get_interrupt, 0xe42d23eb, "_gpl");
SYMBOL_CRC(kvm_has_noapic_vcpu, 0x3f510ff5, "_gpl");
SYMBOL_CRC(__kvm_apic_update_irr, 0x6243ac82, "_gpl");
SYMBOL_CRC(kvm_apic_update_irr, 0xfca34047, "_gpl");
SYMBOL_CRC(kvm_apic_clear_irr, 0x9cdeef03, "_gpl");
SYMBOL_CRC(kvm_lapic_find_highest_irr, 0x4a44f080, "_gpl");
SYMBOL_CRC(kvm_apic_update_ppr, 0xf1c0679c, "_gpl");
SYMBOL_CRC(kvm_apic_match_dest, 0xcb580d23, "_gpl");
SYMBOL_CRC(kvm_apic_set_eoi_accelerated, 0x007aa20d, "_gpl");
SYMBOL_CRC(kvm_apic_send_ipi, 0x0eea0629, "_gpl");
SYMBOL_CRC(kvm_lapic_readable_reg_mask, 0xf2b694db, "_gpl");
SYMBOL_CRC(kvm_wait_lapic_expire, 0xaf556b86, "_gpl");
SYMBOL_CRC(kvm_lapic_expired_hv_timer, 0xc2301a85, "_gpl");
SYMBOL_CRC(kvm_lapic_set_eoi, 0x56c87e4b, "_gpl");
SYMBOL_CRC(kvm_apic_write_nodecode, 0x10b0a8c9, "_gpl");
SYMBOL_CRC(kvm_alloc_apic_access_page, 0x9ff4bc39, "_gpl");
SYMBOL_CRC(kvm_apic_has_interrupt, 0x05a9b189, "_gpl");
SYMBOL_CRC(kvm_set_msi_irq, 0x3f540df8, "_gpl");
SYMBOL_CRC(kvm_intr_is_single_vcpu, 0x21090176, "_gpl");
SYMBOL_CRC(kvm_cpu_caps, 0xad43fc4c, "_gpl");
SYMBOL_CRC(kvm_update_cpuid_runtime, 0xdf2c7f1b, "_gpl");
SYMBOL_CRC(kvm_set_cpu_caps, 0x5d996b31, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry_index, 0x79e0c653, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry, 0x2738c596, "_gpl");
SYMBOL_CRC(kvm_cpuid, 0xff35bdce, "_gpl");
SYMBOL_CRC(kvm_emulate_cpuid, 0x8274f602, "_gpl");
SYMBOL_CRC(kvm_pmu_cap, 0xd475c188, "_gpl");
SYMBOL_CRC(kvm_pmu_eventsel, 0xfcc16c54, "_gpl");
SYMBOL_CRC(pmc_write_counter, 0x49ec944a, "_gpl");
SYMBOL_CRC(kvm_pmu_trigger_event, 0xa7e10fdb, "_gpl");
SYMBOL_CRC(kvm_mmu_free_roots, 0x2a5462bc, "_gpl");
SYMBOL_CRC(kvm_mmu_free_guest_mode_roots, 0xe8315fd5, "_gpl");
SYMBOL_CRC(kvm_handle_page_fault, 0x1afaa359, "_gpl");
SYMBOL_CRC(kvm_mmu_new_pgd, 0x26718a8f, "_gpl");
SYMBOL_CRC(kvm_init_shadow_npt_mmu, 0x74670d9b, "_gpl");
SYMBOL_CRC(kvm_init_shadow_ept_mmu, 0x3679567d, "_gpl");
SYMBOL_CRC(kvm_init_mmu, 0xa628962e, "_gpl");
SYMBOL_CRC(kvm_mmu_reset_context, 0xe5bcb02c, "_gpl");
SYMBOL_CRC(kvm_mmu_page_fault, 0x77bfcd97, "_gpl");
SYMBOL_CRC(kvm_mmu_print_sptes, 0x040cc86a, "_gpl");
SYMBOL_CRC(kvm_mmu_invalidate_addr, 0xd4b45f08, "_gpl");
SYMBOL_CRC(kvm_mmu_invlpg, 0xdf468410, "_gpl");
SYMBOL_CRC(kvm_configure_mmu, 0x06cdc8d1, "_gpl");
SYMBOL_CRC(kvm_zap_gfn_range, 0x437b4faa, "_gpl");
SYMBOL_CRC(kvm_page_track_register_notifier, 0x22f46444, "_gpl");
SYMBOL_CRC(kvm_page_track_unregister_notifier, 0xb3db852b, "_gpl");
SYMBOL_CRC(kvm_write_track_add_gfn, 0x8c1922f0, "_gpl");
SYMBOL_CRC(kvm_write_track_remove_gfn, 0x7d33f29e, "_gpl");
SYMBOL_CRC(enable_mmio_caching, 0xfab33e4c, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_mask, 0x6ada8f59, "_gpl");
SYMBOL_CRC(kvm_mmu_set_me_spte_mask, 0xbd9d6dfc, "_gpl");
SYMBOL_CRC(kvm_mmu_set_ept_masks, 0x5bf7cde0, "_gpl");
SYMBOL_CRC(kvm_hv_assist_page_enabled, 0x70abdaa4, "_gpl");
SYMBOL_CRC(kvm_hv_get_assist_page, 0x643299e1, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs_range, 0x4e4b0c9b, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs, 0x97884db3, "_gpl");
SYMBOL_CRC(hv_track_root_tdp, 0xd4183404, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f50f32, "rcu_nocb_flush_deferred_wakeup" },
	{ 0xf1d40878, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd92d0a47, "fixup_user_fault" },
	{ 0x648a9fc2, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa5123a63, "preempt_notifier_register" },
	{ 0xc60dd492, "finish_rcuwait" },
	{ 0xb9e2665f, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf60300c0, "fpu_free_guest_fpstate" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5825fc9a, "mmu_notifier_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x995d1071, "prof_on" },
	{ 0xb4025bf0, "xfer_to_guest_mode_handle_work" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x56c1dd34, "file_modified" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdc55510d, "__put_devmap_managed_folio_refs" },
	{ 0xc81265f2, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x29c7fa7d, "__vcalloc_noprof" },
	{ 0x77f24400, "perf_register_guest_info_callbacks" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1475d603, "xstate_get_guest_group_perm" },
	{ 0x2e1ab7be, "bpf_trace_run1" },
	{ 0x38ea9765, "intel_pt_validate_hw_cap" },
	{ 0xb8fe48f4, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7b64d81, "hyperv_stop_tsc_emulation" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3fe35aea, "irq_bypass_unregister_consumer" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x69459a72, "synchronize_srcu_expedited" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x59a12816, "misc_register" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c10e049, "kmem_cache_alloc_noprof" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1c6a086b, "follow_pte" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x6214aef2, "cpufreq_unregister_notifier" },
	{ 0x59d91a0, "fpu_swap_kvm_fpstate" },
	{ 0x56398615, "mark_tsc_unstable" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x5b362682, "simple_attr_read" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0x5f99cb48, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe31fdd06, "fpu_copy_uabi_to_guest_fpstate" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c46233a, "cpufreq_quick_get" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb13595e, "smp_call_function_many" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x68c88b25, "kthread_create_on_node" },
	{ 0x20c79bb, "__lruvec_stat_mod_folio" },
	{ 0xaa6a50f9, "__static_key_deferred_flush" },
	{ 0x745a981, "xa_erase" },
	{ 0xeb58cb7, "pv_ops" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0xfebf5118, "__mmap_lock_do_trace_start_locking" },
	{ 0x886054fa, "seq_read" },
	{ 0xb4b97c90, "pvclock_gtod_register_notifier" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe3918e16, "perf_event_enable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd1773cfd, "irq_work_sync" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xc44d4206, "debugfs_create_file" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0x83f7d2bc, "mmput" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x99f99df7, "kthread_destroy_worker" },
	{ 0x57861a5c, "gds_ucode_mitigated" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb89e69b1, "jump_label_update_timeout" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x265b6e29, "hyperv_flush_guest_mapping_range" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6729c43, "cpu_info" },
	{ 0x915af95b, "get_user_pages_fast_only" },
	{ 0xe0e6ef02, "perf_get_x86_pmu_capability" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7d3f3617, "fpu_enable_guest_xfd_features" },
	{ 0xc622ce74, "get_user_pages_unlocked" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x91ba6f10, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x7a317873, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65d9e877, "cpufreq_register_notifier" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb76ed744, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x8bb04b8d, "__mmap_lock_do_trace_released" },
	{ 0xf7962812, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x550ce709, "pat_enabled" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x858798ad, "__hrtimer_get_remaining" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x7452adff, "user_return_notifier_register" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0x7285e926, "mmu_notifier_register" },
	{ 0xe0d39f1c, "sgx_set_attribute" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5f2da8c4, "check_tsc_unstable" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcea2f650, "generic_file_open" },
	{ 0x4f97f235, "truncate_inode_pages_range" },
	{ 0xf2631021, "alloc_pages_noprof" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x4f325142, "vtime_guest_enter" },
	{ 0x888c5be5, "irq_bypass_register_consumer" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xe89b0ad0, "rcuwait_wake_up" },
	{ 0x947c1b35, "single_release" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x435de471, "pid_vnr" },
	{ 0xa2d4e9f0, "cpufreq_cpu_get" },
	{ 0xb764d59, "preempt_notifier_unregister" },
	{ 0x947b40c6, "cpu_smt_possible" },
	{ 0x25f87992, "fpu_alloc_guest_fpstate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1f77ed8c, "get_file_active" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xef8fc95f, "kvm_async_pf_task_wait_schedule" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdd752286, "perf_event_release_kernel" },
	{ 0x754d539c, "strlen" },
	{ 0x7e77624d, "bpf_trace_run7" },
	{ 0x29a05f10, "get_task_pid" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x3d790965, "anon_inode_create_getfile" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe77e38c8, "fpstate_clear_xstate_component" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x40141f07, "single_open" },
	{ 0xe83eba32, "itlb_multihit_kvm_mitigation" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x40488c21, "__static_call_update" },
	{ 0xc4ac49d3, "debugfs_create_dir" },
	{ 0x92e4739d, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5f18a6, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xadf94dc, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x3466ce63, "x86_msi_msg_get_destid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x29a6e05, "eventfd_ctx_fileget" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x7c123f82, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xaa8b18f5, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x236088b9, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x196614ce, "hw_breakpoint_restore" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0x46989b87, "generic_fillattr" },
	{ 0xf2139f92, "shrinker_alloc" },
	{ 0x8adc6158, "simple_attr_write" },
	{ 0x4e5ee273, "tick_nohz_full_mask" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x4e02176f, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7a7163, "__static_call_return0" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe2602472, "kthread_create_worker" },
	{ 0xd03467bd, "misc_deregister" },
	{ 0xff1dd196, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6ee8328e, "kthread_flush_work" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x10246187, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67955ce6, "profile_hits" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9241b358, "__static_key_slow_dec_deferred" },
	{ 0xd0844e18, "folio_unlock" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x3fbd9189, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0x7719659, "perf_event_create_kernel_counter" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x9ebb80da, "cgroup_attach_task_all" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x495c3ca6, "param_get_bool" },
	{ 0xd4d064e0, "bpf_trace_run6" },
	{ 0x646bca9, "vtime_guest_exit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5b56860c, "vm_munmap" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x50672372, "get_pid_task" },
	{ 0x4e50eb3e, "fpu_copy_guest_fpstate_to_uabi" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xa124a40c, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x466c14a7, "__delay" },
	{ 0x1057a279, "bsearch" },
	{ 0x46d81924, "fget" },
	{ 0x9d10dc81, "__put_task_struct" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x38fbed55, "__xas_next" },
	{ 0x23967b1, "xas_find" },
	{ 0x81004987, "set_user_nice" },
	{ 0x46a6c9ef, "hv_get_tsc_page" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3ba01b47, "get_compat_sigset" },
	{ 0xcd81a945, "switch_fpu_return" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x73575b0e, "noop_dirty_folio" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0x5b81d76c, "irq_work_queue" },
	{ 0xe1aa2d62, "set_hv_tscchange_cb" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4a8a030d, "param_set_uint" },
	{ 0xea6c82f5, "fd_install" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0xbf2e2e71, "housekeeping_enabled" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x3a08217, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x40f9928e, "perf_event_pause" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1d101aeb, "perf_event_period" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0xecea968c, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x682c5296, "vm_mmap" },
	{ 0x48db9540, "send_sig_mceerr" },
	{ 0x26cda94f, "e820__mapped_raw_any" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a0f6d2, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x1cbd92b0, "cpu_mitigations_off" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x747bbdc7, "kmem_cache_create" },
	{ 0x31cc3e8f, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77d79a5c, "kthread_park" },
	{ 0x273e1002, "fpu_sync_guest_vmexit_xfd_state" },
	{ 0xb32546fb, "__tracepoint_mmap_lock_released" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xf245876d, "cpufreq_cpu_put" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3c6f84b, "perf_event_read_value" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x206b6d6f, "get_user_pages_remote" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x934c418a, "wake_up_process" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x5f7784ba, "shrinker_free" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1b36bad0, "anon_inode_getfd" },
	{ 0x783155c2, "param_get_uint" },
	{ 0x6bbd8324, "perf_unregister_guest_info_callbacks" },
	{ 0x7b38feb, "get_user_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x697fe24c, "shrinker_register" },
	{ 0xd10abcd5, "__filemap_get_folio" },
	{ 0x4e993d51, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x47d8d301, "__cond_resched_rwlock_read" },
	{ 0x618911fc, "numa_node" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0x38466cd0, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf3ace35e, "find_vma" },
	{ 0xda1f78ee, "clear_hv_tscchange_cb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ecab287, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcfe59cb, "hyperv_fill_flush_guest_mapping_list" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc2e42a15, "param_ops_bint" },
	{ 0x11d855b1, "debugfs_lookup" },
	{ 0x7c8fde2a, "mark_page_accessed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xb73cca9d, "kobject_uevent_env" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xb74c43f6, "fpu_update_guest_xfd" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x4688d7ec, "pvclock_gtod_unregister_notifier" },
	{ 0x63057244, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe7232e0f, "user_return_notifier_unregister" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2f7dd766, "simple_attr_release" },
	{ 0x63cfd022, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6698e532, "dentry_path_raw" },
	{ 0xda3109b7, "task_cputime_adjusted" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf8fe3986, "pat_pfn_immune_to_uc_mtrr" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "95C1C3FB1394D99B53FBEB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
