#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x4ca1b793, "blk_mq_alloc_request" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xcad6d208, "blk_mq_free_request" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x305d8b85, "blk_rq_map_kern" },
	{ 0x745a981, "xa_erase" },
	{ 0xb3a4b9dc, "blk_execute_rq" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7cf6e61d, "iov_iter_get_pages2" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x77be6bc8, "set_page_dirty" },
	{ 0xdc55510d, "__put_devmap_managed_folio_refs" },
	{ 0x7a317873, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x429d41a3, "io_uring_cmd_done" },
	{ 0xd077e2cb, "blk_mq_quiesce_queue" },
	{ 0x847d2df2, "blk_mq_unquiesce_queue" },
	{ 0xc2d32789, "blk_mq_kick_requeue_list" },
	{ 0x174af52c, "del_gendisk" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x91a7c5b1, "cdev_device_del" },
	{ 0xe57a58da, "class_unregister" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9d10dc81, "__put_task_struct" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ab8b149, "blk_mq_free_tag_set" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6cbbc89, "capable" },
	{ 0x75de72c8, "init_user_ns" },
	{ 0x20f639da, "from_kuid" },
	{ 0x20dcee9f, "from_kgid" },
	{ 0x5ac6427a, "import_ubuf" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x1fb22eba, "blk_mq_requeue_request" },
	{ 0x8a3ea66f, "blk_mq_end_request" },
	{ 0xe976bb8c, "blk_mq_delay_kick_requeue_list" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4c6bcb08, "blk_mq_alloc_tag_set" },
	{ 0x7b88793c, "device_initialize" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0xb70dbbf, "cdev_init" },
	{ 0x31268e9c, "cdev_device_add" },
	{ 0x92997ed8, "_printk" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xb97db5ca, "blk_update_request" },
	{ 0xfd31d1ea, "__blk_mq_end_request" },
	{ 0xb38bd144, "blk_mq_start_request" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x62995ba6, "__io_uring_cmd_do_in_task" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb057e5a6, "get_device" },
	{ 0x28572ef1, "send_sig" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b2e6835, "io_uring_cmd_mark_cancelable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0x2695f5f5, "nonseekable_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x59a12816, "misc_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1d9b7978, "class_register" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd03467bd, "misc_deregister" },
	{ 0xcf826f93, "kobject_get_unless_zero" },
	{ 0x7dbfc7, "kern_path" },
	{ 0x245182d3, "vfs_getattr" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdff5d0f9, "inode_permission" },
	{ 0x2e519df2, "path_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7f2e3ed0, "blk_mq_tagset_busy_iter" },
	{ 0xd2257a52, "put_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x125cdbcd, "remap_pfn_range" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa981468c, "param_set_uint_minmax" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb31b1e61, "__blk_mq_alloc_disk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb9ae23ca, "set_capacity" },
	{ 0x5717a0a4, "blk_revalidate_disk_zones" },
	{ 0x98521d17, "device_add_disk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe0a02958, "put_disk" },
	{ 0x82ede07, "set_disk_ro" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F533287CFEA480F18E49F64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
