#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_parent_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x0afaf87a, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x828e9caf, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x1f9badad, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x729643c7, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x3d9a58e5, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x2a23b927, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x4c57c5a2, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xa4c8b9d8, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xf47676f2, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xaca79ad6, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xa8290b35, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x67857312, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x1fe9c7d3, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x832dab08, "_gpl");
SYMBOL_CRC(put_cxl_root, 0xffd752de, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xaba45adf, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xab1d06d1, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xa44d8992, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x724942b1, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xea76162d, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xdb162c52, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xc56688a2, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xd4ac8c1f, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x52d71b87, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xf673db5c, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x246270c0, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x3c786ff4, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x5c4560f6, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x0f6aca4a, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x9307a33a, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x070fa431, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x1358a070, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xb2d883e8, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xecf256b6, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xc2631117, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x1c6e8ea7, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xa5b06e49, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x60f07dc9, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xf95827c4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x2fa7d3d7, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xded076b4, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xb26f4b1f, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x984befb9, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x7b6b0aae, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xf96d0709, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5a396651, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xaaed7c63, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x68f60038, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x81719916, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xde4d0ac4, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xc445bbc7, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x5941e658, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x194ba2db, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x65b85974, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x673f02bc, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x6bd60b7f, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x4518ab7d, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x486b50eb, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xb74bb5ae, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xda388369, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x4d933538, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xa0fba5e4, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x95c9dd07, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xd815275e, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x5d1fbd73, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xdc405908, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x332ff101, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x7415136d, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xd19feb1e, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xed5fe37b, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xef8a9494, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x938f8969, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x6fefe0fc, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x90dd71ca, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xc5697848, "_gpl");
SYMBOL_CRC(cxl_setup_parent_dport, 0x9d0b7b43, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xf04e007c, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x4a4f637f, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xf4a2f681, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xdef30625, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xdb880109, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x8821f5e7, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x2d83cf1b, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xad78d872, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xb18b62ae, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xdb859d09, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x8f266d08, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x9767c284, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x3a20ef64, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x2a167c8c, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x08fd09d0, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xa2367dca, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x040ffd0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85a6871b, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc7d90e4f, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x402454da, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb76ed744, "seq_printf" },
	{ 0x503b63c0, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xada90109, "pci_walk_bus" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x2edde03, "__devm_add_action" },
	{ 0xbc8ea930, "pci_find_dvsec_capability" },
	{ 0x449e252b, "device_find_child_by_name" },
	{ 0xabb206df, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcd24d6ab, "pci_write_config_word" },
	{ 0xc4ac49d3, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7839eaa7, "pcie_bandwidth_available" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xc4d3975e, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb70dbbf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa95d4862, "pci_bus_type" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xed1b2673, "bus_register" },
	{ 0x55aca939, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x217e75c8, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0xbabe3fbe, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x91a7c5b1, "cdev_device_del" },
	{ 0xd4d064e0, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x9cc63ae, "device_unregister" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5f0b1b62, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b88793c, "device_initialize" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0x28b42f25, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xab02ed9, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xb057e5a6, "get_device" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8432f971, "platform_bus" },
	{ 0x91988f77, "dev_driver_string" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0xdce33e5a, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbaa689ee, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x31268e9c, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xd2257a52, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x394aa415, "bus_for_each_dev" },
	{ 0x7329b215, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x3ade2b15, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x918af230, "sysfs_update_group" },
	{ 0xbed21cec, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc5e4b4a, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x77462ada, "debugfs_create_bool" },
	{ 0x1adcec6f, "bus_find_device" },
	{ 0xceeef1db, "device_add" },
	{ 0xe08e7c80, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x265f00e2, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1488080b, "kernfs_find_and_get_ns" },
	{ 0x648a9fc2, "debugfs_remove" },
	{ 0x22366fc6, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x737e622, "driver_unregister" },
	{ 0x6919c847, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffba9869, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x376b71c3, "devm_release_action" },
	{ 0xd87d8359, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xfd259c24, "pci_print_aer" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3fe69202, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "81FC2CC4A93B06F8E06E1FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
