#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xb5245373, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xfd588213, "_gpl");
SYMBOL_CRC(media_device_init, 0xa9f74cba, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x15c0101f, "_gpl");
SYMBOL_CRC(__media_device_register, 0x4826ea6e, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1ae548e7, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x3a3f538d, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xdc79dea3, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xef01e55d, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x4e096de5, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xd6e3f717, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x66fba2c2, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x8d20c394, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x5845f2b1, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xbb1fb26a, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x79e64b1f, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x36ef95d3, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xb2769e41, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xa5dc9d54, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x3a0516ae, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xd7bc834f, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x7233e0e8, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x62eb7343, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x33ff8ab4, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x40b776f8, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xd85c9f5e, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x925068c5, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x2744b0ee, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xf8a68266, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x933d1d78, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x02144672, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x9a8d03d0, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x46971ce7, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x749bf987, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x4e36a413, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x6e87f737, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x3ac2c1f6, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x95d53170, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x5dc6b46e, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x9d1de592, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x275c94e5, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x431e190e, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x77efeb2f, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x0a31a4fa, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xe98d4dda, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x86ee15bb, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xad634a04, "_gpl");
SYMBOL_CRC(media_request_put, 0xfae91110, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x8ce7b420, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xef004d60, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x22212492, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x1b505871, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x9b979f4a, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x79129a89, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x3d78f13a, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x03cad65a, "_gpl");
SYMBOL_CRC(media_device_delete, 0x12eb8b22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x31268e9c, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2257a52, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x26b99901, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc91fb6d8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf14c7a81, "device_create_file" },
	{ 0xbed21cec, "bus_unregister" },
	{ 0x63057244, "fput" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x402454da, "platform_bus_type" },
	{ 0x22d108e6, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb70dbbf, "cdev_init" },
	{ 0xa95d4862, "pci_bus_type" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x47ae116c, "device_remove_file" },
	{ 0xed1b2673, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe7ab5a2a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4e02176f, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x91a7c5b1, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b88793c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xea6c82f5, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb057e5a6, "get_device" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
