#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x93e3d77d, "");
SYMBOL_CRC(gspca_dev_probe2, 0xe15e8f3e, "");
SYMBOL_CRC(gspca_dev_probe, 0x297144ff, "");
SYMBOL_CRC(gspca_disconnect, 0x472c38fa, "");
SYMBOL_CRC(gspca_suspend, 0xcd944ff0, "");
SYMBOL_CRC(gspca_resume, 0x141d6684, "");
SYMBOL_CRC(gspca_expo_autogain, 0x8af00253, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x9864d66b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4759c304, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e90e7a9, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5fb0c37a, "__v4l2_ctrl_s_ctrl" },
	{ 0xfb8712a0, "vb2_ioctl_dqbuf" },
	{ 0x970187b6, "usb_free_coherent" },
	{ 0xe012a0e9, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa022f983, "vb2_buffer_done" },
	{ 0xe096a324, "vb2_plane_vaddr" },
	{ 0x631baa4, "v4l2_ctrl_subscribe_event" },
	{ 0xba5a9af4, "usb_set_interface" },
	{ 0xf5792f43, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x245d8f86, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc5464cc, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe3e4cc3, "vb2_vmalloc_memops" },
	{ 0xbd5f5c0b, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7b87870, "vb2_fop_read" },
	{ 0x52b607fd, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x24619523, "__video_register_device" },
	{ 0x9b52047b, "vb2_ops_wait_prepare" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x4d82d395, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x80e7aadc, "vb2_ioctl_streamon" },
	{ 0xf65afa53, "vb2_fop_poll" },
	{ 0x950eb0dc, "v4l2_ctrl_g_ctrl" },
	{ 0x54b3b55a, "v4l2_ctrl_handler_free" },
	{ 0xbe1208d2, "v4l2_device_unregister" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xc9486790, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb4b169f, "v4l2_event_unsubscribe" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xda657f8f, "vb2_ioctl_reqbufs" },
	{ 0xff9e22af, "vb2_queue_init" },
	{ 0x23854c3e, "input_allocate_device" },
	{ 0x1b653b0b, "usb_alloc_urb" },
	{ 0x20e2150d, "video_ioctl2" },
	{ 0x1bbe6bda, "usb_free_urb" },
	{ 0x19d3b463, "v4l2_device_put" },
	{ 0x177c4427, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6c3bb28, "usb_alloc_coherent" },
	{ 0x9872121c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa57d8d1, "usb_ifnum_to_if" },
	{ 0x61ddf449, "vb2_ops_wait_finish" },
	{ 0x19fe158e, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2974d63a, "vb2_ioctl_querybuf" },
	{ 0x335c73a0, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cdb8905, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x155042b4, "usb_clear_halt" },
	{ 0xeb89e7eb, "v4l2_ctrl_handler_setup" },
	{ 0x3bed58b0, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d08e18d, "video_devdata" },
	{ 0x4f5d0cd7, "vb2_queue_error" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
