#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0xdce0ea24, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x35328fd6, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xbc936ad2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20a6c16d, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeadd8495, "ocelot_port_pre_bridge_flags" },
	{ 0x39061c9c, "ocelot_port_del_dscp_prio" },
	{ 0x9879a09c, "ocelot_mrp_del_ring_role" },
	{ 0x2c30a3b, "ocelot_sb_tc_pool_bind_set" },
	{ 0xc451db45, "dsa_fdb_present_in_other_db" },
	{ 0x32145230, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34ef99a4, "dsa_mdb_present_in_other_db" },
	{ 0x1de8439d, "ocelot_vcap_filter_add" },
	{ 0x9a0c0c7f, "ocelot_sb_port_pool_get" },
	{ 0x75338731, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x26c1e83a, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xaaceba04, "ocelot_port_inject_frame" },
	{ 0x3d751d4c, "dev_err_probe" },
	{ 0xa916c4b7, "ocelot_mrp_add" },
	{ 0x98da05eb, "ocelot_sb_occ_port_pool_get" },
	{ 0x80ef1c4c, "ocelot_sb_pool_set" },
	{ 0x55f93430, "ocelot_lag_fdb_del" },
	{ 0x7a77c5a2, "ocelot_vcap_filter_del" },
	{ 0x8adf0ef1, "ocelot_cls_flower_stats" },
	{ 0x10f610e2, "ocelot_lock_inj_grp" },
	{ 0xb26df48c, "ocelot_lock_xtr_grp_bh" },
	{ 0xf48aa95a, "ocelot_sb_pool_get" },
	{ 0xb3de4e31, "ocelot_lock_xtr_grp" },
	{ 0x878b2d2e, "ocelot_phylink_mac_link_up" },
	{ 0x9162852d, "ocelot_deinit_port" },
	{ 0xe692decc, "ocelot_can_inject" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x355943ef, "ocelot_port_mirror_add" },
	{ 0xeda3222c, "ocelot_fdb_dump" },
	{ 0xd479b6e1, "ocelot_vlan_prepare" },
	{ 0x43ed607e, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcc500747, "ocelot_set_ageing_time" },
	{ 0xf9b9d6c9, "__ocelot_rmw_ix" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0xc3f818fa, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x33c29d03, "ocelot_port_policer_del" },
	{ 0xbd97adc1, "ocelot_port_lag_change" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0xb9b63df3, "ocelot_port_policer_add" },
	{ 0xf212f3ce, "ocelot_port_mdb_add" },
	{ 0x211975e7, "ocelot_vlan_add" },
	{ 0xa1ac78ea, "ocelot_sb_tc_pool_bind_get" },
	{ 0x913207fa, "ocelot_port_bridge_flags" },
	{ 0x2870fbef, "ocelot_devlink_sb_unregister" },
	{ 0x3f51c4a4, "ocelot_port_bridge_leave" },
	{ 0x45b9965b, "ocelot_port_set_maxlen" },
	{ 0xf994acd3, "ocelot_vcap_filter_replace" },
	{ 0x53af9bf8, "ocelot_get_max_mtu" },
	{ 0x2225a6a4, "regmap_fields_update_bits_base" },
	{ 0x434fc4b6, "ocelot_sb_occ_snapshot" },
	{ 0x70e1db67, "ocelot_get_ts_info" },
	{ 0x488805ed, "ocelot_sb_occ_max_clear" },
	{ 0xa11b5cf2, "ocelot_port_get_mm" },
	{ 0x2c7f7454, "ocelot_ptp_gettime64" },
	{ 0x913c0ce3, "ocelot_unlock_inj_grp" },
	{ 0xf5668809, "ocelot_get_strings" },
	{ 0xeb7d540f, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xc56d8bc2, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x2e69e8c9, "ocelot_unlock_xtr_grp_bh" },
	{ 0xa7c104eb, "ocelot_port_add_dscp_prio" },
	{ 0xf917bf5f, "ocelot_drain_cpu_queue" },
	{ 0x4cbdf9ab, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb26409a, "__ocelot_read_ix" },
	{ 0x9052b94d, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd141c360, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa95e639e, "ocelot_get_sset_count" },
	{ 0x5c2ccbe4, "ocelot_migrate_mdbs" },
	{ 0xebc36f71, "ocelot_hwstamp_get" },
	{ 0x39109781, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52934008, "ocelot_port_bridge_join" },
	{ 0x27059df9, "ocelot_fdb_add" },
	{ 0xd3d3bcb8, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xbf770f1f, "ocelot_xtr_poll_frame" },
	{ 0x9c7ccb08, "ocelot_port_get_default_prio" },
	{ 0x28a994de, "ptp_classify_raw" },
	{ 0xbe7a3042, "ocelot_port_set_default_prio" },
	{ 0x95b39816, "dsa_tag_8021q_register" },
	{ 0x5f4bc2ac, "ocelot_port_get_mm_stats" },
	{ 0x6a72eea8, "ocelot_deinit" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xa7de416e, "ocelot_vlan_del" },
	{ 0xe829c1de, "sk_skb_reason_drop" },
	{ 0xdb4a65b4, "ocelot_bond_get_id" },
	{ 0x2120a5be, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c9c44cb, "ocelot_cls_flower_destroy" },
	{ 0x6b01537e, "ocelot_port_vlan_filtering" },
	{ 0x8841934f, "ocelot_port_get_rmon_stats" },
	{ 0xb90cdf2d, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xbd34e304, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d3f42f0, "ocelot_bridge_stp_state_set" },
	{ 0x3d782d3e, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd835ecb4, "netif_rx" },
	{ 0x8cf9c9bf, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x62885f4e, "ocelot_fdb_del" },
	{ 0xd26e60b8, "ocelot_phylink_mac_link_down" },
	{ 0xf4aca15f, "ocelot_port_lag_join" },
	{ 0xbe4dfc95, "ocelot_port_get_eth_phy_stats" },
	{ 0xbd1ec305, "ocelot_port_lag_leave" },
	{ 0x789edbb2, "ocelot_mrp_add_ring_role" },
	{ 0x52984d9e, "ocelot_port_set_mm" },
	{ 0xef685f5b, "ocelot_deinit_timestamp" },
	{ 0x12beb41c, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac1ee2fc, "ocelot_port_get_stats64" },
	{ 0x1eb8e15c, "ocelot_port_get_dscp_prio" },
	{ 0xd6048295, "ocelot_port_mdb_del" },
	{ 0x89844cb7, "ocelot_port_get_eth_mac_stats" },
	{ 0xe849ad5c, "ocelot_mact_flush" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "53A8B6232DCCCDFFB66631E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
