#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x129ce7bf, "octeon_free_sc_buffer_pool" },
	{ 0xcf2ac96, "octeon_allocate_ioq_vector" },
	{ 0xcad1f411, "octeon_init_dispatch_list" },
	{ 0x754ff053, "octeon_register_dispatch_fn" },
	{ 0x11327783, "octeon_delete_instr_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x19cb4e69, "liquidio_link_ctrl_cmd_completion" },
	{ 0x1741b32f, "__netif_napi_del" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0xda3de2b, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91988f77, "dev_driver_string" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0xdce33e5a, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95365bce, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c646cd1, "octeon_setup_response_list" },
	{ 0x9874faa5, "octeon_get_rx_qsize" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x44b16a63, "octeon_allocate_device" },
	{ 0xc75a68f5, "octeon_free_ioq_vector" },
	{ 0x5e563bca, "octeon_setup_interrupt" },
	{ 0x1f0965ac, "netif_device_detach" },
	{ 0xbad95caa, "lio_process_iq_request_list" },
	{ 0xf111e71c, "liquidio_setup_io_queues" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xe4a98fb3, "octeon_free_sc_done_list" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd139a21e, "octeon_get_tx_qsize" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x134a9447, "octeon_send_command" },
	{ 0x48ae2431, "octeon_free_soft_command" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xf94b1198, "softnet_data" },
	{ 0xdb30a8c5, "octeon_free_sc_zombie_list" },
	{ 0x1377ddfe, "octeon_alloc_soft_command" },
	{ 0x521904f0, "octeon_set_io_queues_off" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x62a56b1, "pcie_flr" },
	{ 0xed44dc1, "napi_enable" },
	{ 0x34688016, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x36453992, "free_netdev" },
	{ 0x44fedc32, "liquidio_set_ethtool_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56c4a176, "octeon_delete_droq" },
	{ 0xdc55510d, "__put_devmap_managed_folio_refs" },
	{ 0x9f03721b, "octeon_delete_response_list" },
	{ 0x9860417b, "lio_process_ordered_list" },
	{ 0x7ce3cd07, "pci_restore_state" },
	{ 0x12fb77c9, "netif_tx_wake_queue" },
	{ 0x1f22284a, "octeon_delete_dispatch_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x694fa6f, "octeon_droq_check_hw_for_pkts" },
	{ 0x241a2a6c, "lio_fetch_stats" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf4375d90, "lio_wait_for_instr_fetch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2359cc0, "dma_set_coherent_mask" },
	{ 0xc8b607a2, "lio_setup_glists" },
	{ 0x7aa57d93, "cn23xx_vf_ask_pf_to_do_flr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3fe5d8a1, "octeon_alloc_soft_command_resp" },
	{ 0x91c7603f, "octeon_prepare_soft_command" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa8709a73, "octeon_setup_instr_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7a317873, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0x875b3275, "octeon_unregister_droq_ops" },
	{ 0x343d7e25, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6213a9c2, "pci_disable_device" },
	{ 0xca554c0f, "liquidio_change_mtu" },
	{ 0x84f285c9, "dma_set_mask" },
	{ 0xfa93875a, "netif_set_tso_max_size" },
	{ 0x6d0d28ef, "octeon_init_device_list" },
	{ 0xec7f00a5, "lio_get_state_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x829e9340, "napi_disable" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcd24d6ab, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b3f38b5, "pci_release_region" },
	{ 0xa1c26d42, "octeon_setup_sc_buffer_pool" },
	{ 0x20df5d13, "pci_write_config_dword" },
	{ 0x14ecc87c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb71d7c70, "lio_delete_glists" },
	{ 0xc455dd10, "octnet_send_nic_ctrl_pkt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb57dd0f, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbff541e, "pci_save_state" },
	{ 0x367d53d0, "dev_set_mtu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd2af5c4d, "octeon_free_device_mem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe25f0591, "pci_cfg_access_unlock" },
	{ 0x399fc73d, "octeon_send_soft_command" },
	{ 0x9907f67f, "pcie_reset_flr" },
	{ 0xe0218a9d, "cn23xx_setup_octeon_vf_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x47c1bd47, "pci_enable_device" },
	{ 0xe7b382ef, "setup_rx_oom_poll_fn" },
	{ 0xaaf76830, "skb_tstamp_tx" },
	{ 0xcb757146, "octnet_send_nic_data_pkt" },
	{ 0xb76af1d2, "octeon_ring_doorbell_locked" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83ec8041, "lio_wait_for_clean_oq" },
	{ 0xccbeb4ae, "octeon_setup_output_queues" },
	{ 0x4c62bd30, "unregister_netdev" },
	{ 0x2f1ea9b9, "octeon_register_reqtype_free_fn" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x34f7e6e1, "dma_unmap_page_attrs" },
	{ 0x8dee9fc5, "liquidio_set_feature" },
	{ 0x87d85d75, "cleanup_rx_oom_poll_fn" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0xf63eede9, "cn23xx_octeon_pfvf_handshake" },
	{ 0xedc03953, "iounmap" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "liquidio-core");

MODULE_ALIAS("pci:v0000177Dd00009712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DA8FB1B92CB3B1EB545DC4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
