#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34688016, "register_netdev" },
	{ 0x14ecc87c, "netdev_info" },
	{ 0xd7049fa5, "pci_set_power_state" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x3c0da393, "_dev_notice" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x829e9340, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x95365bce, "dma_map_page_attrs" },
	{ 0x91988f77, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc22ca29e, "skb_put" },
	{ 0xde4862da, "eth_type_trans" },
	{ 0xeee8285e, "netif_receive_skb" },
	{ 0x754e6fd2, "__dma_sync_single_for_cpu" },
	{ 0x45308c7c, "__dma_sync_single_for_device" },
	{ 0x55a4cc86, "napi_complete_done" },
	{ 0xb0e602eb, "memmove" },
	{ 0xed2be4a9, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xed44dc1, "napi_enable" },
	{ 0x83a94784, "pci_enable_wake" },
	{ 0x7ce3cd07, "pci_restore_state" },
	{ 0x5dcfcac4, "netif_device_attach" },
	{ 0x17f70877, "__pskb_pull_tail" },
	{ 0xb0970144, "__skb_pad" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x1f0965ac, "netif_device_detach" },
	{ 0xbff541e, "pci_save_state" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8022eea, "eth_mac_addr" },
	{ 0x94aaa0f2, "eth_validate_addr" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x34f7e6e1, "dma_unmap_page_attrs" },
	{ 0xe0adbe33, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0xa86ff534, "__platform_driver_register" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0x6818bb73, "platform_driver_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x4c62bd30, "unregister_netdev" },
	{ 0x1741b32f, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xedc03953, "iounmap" },
	{ 0x36453992, "free_netdev" },
	{ 0x6319d8fa, "pci_release_regions" },
	{ 0x6213a9c2, "pci_disable_device" },
	{ 0x76ffdaa9, "dev_kfree_skb_irq_reason" },
	{ 0x12fb77c9, "netif_tx_wake_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x397bf2c3, "init_net" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1be44be7, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x963f6adb, "napi_schedule_prep" },
	{ 0x1a375d0e, "__napi_schedule" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0xe8d4d265, "netdev_err" },
	{ 0xf7f61179, "netdev_notice" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x47c1bd47, "pci_enable_device" },
	{ 0x3eb1acc6, "pci_request_regions" },
	{ 0xeb57dd0f, "alloc_etherdev_mqs" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0x40a16c37, "netif_napi_add_weight" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110");
MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110C*");
MODULE_ALIAS("pci:v00001106d00003119sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EBB3EBB0C66C87B09255E19");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
