#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2148712, "__mdiobus_read" },
	{ 0xa83f0d28, "bcm_phy_read_exp" },
	{ 0x462d142f, "bcm_phy_write_exp" },
	{ 0xaba36014, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x60c5a34, "genphy_read_abilities" },
	{ 0x91605c97, "bcm_phy_get_sset_count" },
	{ 0xa509ee86, "devm_gpiod_get" },
	{ 0x74cc2afe, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xda06b6a0, "devm_request_threaded_irq" },
	{ 0xfa98213b, "device_set_wakeup_capable" },
	{ 0x88a40713, "device_wakeup_enable" },
	{ 0x59eb12f2, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x63377bca, "pm_wakeup_dev_event" },
	{ 0x466cb19, "genphy_resume" },
	{ 0x4c9d030c, "genphy_soft_reset" },
	{ 0xdf0c0cd1, "bcm_phy_config_intr" },
	{ 0xe1495eaa, "bcm_phy_handle_interrupt" },
	{ 0x26fbf417, "bcm_phy_get_strings" },
	{ 0x873c9da9, "bcm_phy_led_brightness_set" },
	{ 0x91eafda8, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f10ab23, "phy_drivers_register" },
	{ 0x481b7dda, "mdiobus_read" },
	{ 0x5128867d, "genphy_read_status" },
	{ 0x32dc5ed6, "phy_trigger_machine" },
	{ 0x8fe005d0, "phy_error" },
	{ 0x779221d2, "bcm54xx_auxctl_read" },
	{ 0x2133da14, "bcm54xx_auxctl_write" },
	{ 0xb2e73f88, "bcm_phy_read_shadow" },
	{ 0x9ad12c5b, "bcm_phy_write_shadow" },
	{ 0xad6f7ddd, "bcm_config_lre_aneg" },
	{ 0x6b5262b5, "__genphy_config_aneg" },
	{ 0x926b37b9, "genphy_c37_config_aneg" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x3e5464a1, "bcm_phy_get_wol" },
	{ 0x8d35b353, "bcm_phy_set_wol" },
	{ 0xdce80097, "bcm_phy_get_stats" },
	{ 0xbcb18326, "phy_drivers_unregister" },
	{ 0x6d39aae6, "phy_modify" },
	{ 0xca6d4884, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x81226299, "__mdiobus_write" },
	{ 0x2cc9c58b, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
