#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17f70877, "__pskb_pull_tail" },
	{ 0x97430648, "skb_push" },
	{ 0x56942ef1, "skb_copy_expand" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0x8022eea, "eth_mac_addr" },
	{ 0x7e119b8a, "usb_autopm_get_interface" },
	{ 0xfa245d58, "usb_autopm_put_interface" },
	{ 0x56a2ceeb, "usbnet_read_cmd" },
	{ 0x28bd7a77, "netif_carrier_off" },
	{ 0x3ac207f7, "usbnet_read_cmd_nopm" },
	{ 0x8bb9f7bf, "usbnet_resume" },
	{ 0x828dae0e, "usb_reset_configuration" },
	{ 0x337026ef, "usbnet_get_endpoints" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0xfa93875a, "netif_set_tso_max_size" },
	{ 0xab43b987, "usb_driver_set_configuration" },
	{ 0x6d0295cd, "usbnet_suspend" },
	{ 0x14ecc87c, "netdev_info" },
	{ 0xac72447a, "netif_carrier_on" },
	{ 0x1d87e938, "usbnet_probe" },
	{ 0x7f46e4ef, "usbnet_disconnect" },
	{ 0xc3fb9439, "usbnet_open" },
	{ 0x52ceded5, "usbnet_stop" },
	{ 0x3b73c096, "usbnet_start_xmit" },
	{ 0x94aaa0f2, "eth_validate_addr" },
	{ 0x66284b06, "usbnet_tx_timeout" },
	{ 0x387e009f, "dev_get_tstats64" },
	{ 0x1de13364, "usbnet_get_msglevel" },
	{ 0xa046c298, "usbnet_set_msglevel" },
	{ 0xc8040236, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52df3af4, "skb_trim" },
	{ 0xe3064d98, "__netdev_alloc_skb" },
	{ 0xc22ca29e, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb5764c00, "skb_pull" },
	{ 0xd638bab4, "usbnet_skb_return" },
	{ 0xf2ae0199, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0xc328922, "usb_deregister" },
	{ 0x4e208e3, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x838c89a7, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0xe9df0a78, "netdev_warn" },
	{ 0x55b15e83, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
