#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xce4e9983, "_gpl");
SYMBOL_CRC(rndis_command, 0x13b0abc5, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xd7bfcd30, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xb2cbb2ef, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x1ee9d606, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x047ffc75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x838c89a7, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc4672c35, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x451c30a1, "usbnet_generic_cdc_bind" },
	{ 0x83e7a513, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0x5efcbf3f, "dev_addr_mod" },
	{ 0x7d11714, "_dev_warn" },
	{ 0xb5764c00, "skb_pull" },
	{ 0x52df3af4, "skb_trim" },
	{ 0x96895038, "usbnet_cdc_zte_rx_fixup" },
	{ 0xf4ef323, "skb_clone" },
	{ 0xd638bab4, "usbnet_skb_return" },
	{ 0x56942ef1, "skb_copy_expand" },
	{ 0x4cf581f0, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8b923b1c, "usb_register_driver" },
	{ 0xc328922, "usb_deregister" },
	{ 0xac29428, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1d87e938, "usbnet_probe" },
	{ 0x7f46e4ef, "usbnet_disconnect" },
	{ 0x6d0295cd, "usbnet_suspend" },
	{ 0x8bb9f7bf, "usbnet_resume" },
	{ 0xc3fb9439, "usbnet_open" },
	{ 0x52ceded5, "usbnet_stop" },
	{ 0x3b73c096, "usbnet_start_xmit" },
	{ 0x8022eea, "eth_mac_addr" },
	{ 0x94aaa0f2, "eth_validate_addr" },
	{ 0x66284b06, "usbnet_tx_timeout" },
	{ 0x387e009f, "dev_get_tstats64" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
