#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xc7186029, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xbde1574e, "");
SYMBOL_CRC(rio_alloc_net, 0xd0513fdb, "_gpl");
SYMBOL_CRC(rio_add_net, 0x8c3f0009, "_gpl");
SYMBOL_CRC(rio_free_net, 0x9f03519d, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x353fa759, "_gpl");
SYMBOL_CRC(rio_add_device, 0x32eb99d0, "_gpl");
SYMBOL_CRC(rio_del_device, 0xc46bdc23, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xb4515e7d, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xa8feae35, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x11669cb9, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x62a007fa, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x55a353c8, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x71480cb8, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xe41b61e8, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xd6e595e4, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x6edf3935, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x9a54d991, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xdde9b626, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x139dbca0, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x2eb77e89, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xb1c2b73d, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xd03d1d3b, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xc98fbc3c, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x1344642e, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x2d09cbca, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x4531dba4, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x7a4cb247, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xd8fdb63f, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xa698162d, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x1e365f00, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x9aa3823b, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xfc98299d, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x72f7c241, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x5089c346, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x066b778d, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x2812b722, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x343b7f5c, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x1ef23a03, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x463f0eec, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xa25929ae, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xbd68171f, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xd3b28c9e, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xf27931af, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x238cbd94, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x42b95496, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x4f5431ba, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xa69adb7e, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x9991eb2c, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x8b7038ad, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x14e8d61a, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x701fdc2d, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xb5f789e3, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xbda46592, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x256576b9, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x0dcb69d0, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xaf6f661a, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xed356ca8, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xda8c7e0c, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xa8bafcf1, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x6e4c2054, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x142b7019, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x3572cac1, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xe0def08b, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x5ce34516, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x879263ed, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x3c5d272c, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x0f67f4b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb057e5a6, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x658bf963, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2257a52, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc91fb6d8, "module_put" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x737e622, "driver_unregister" },
	{ 0xe57a58da, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14b0ffc, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc4d3975e, "driver_register" },
	{ 0x1d9b7978, "class_register" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xed1b2673, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7ab5a2a, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cc63ae, "device_unregister" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8f31508, "dma_release_channel" },
	{ 0x28b42f25, "device_for_each_child" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
