#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0xc7cd78d2, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x277dac0f, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0x5b606f51, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe5553c40, "gpiochip_remove" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x910d09d3, "uart_get_baud_rate" },
	{ 0x41c40e94, "uart_update_timeout" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0x29811430, "regmap_noinc_write" },
	{ 0x2c232fbc, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x18dba2a2, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d919e1, "uart_insert_char" },
	{ 0xd69a07fd, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x67956145, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdca9a618, "do_SAK" },
	{ 0x7d11714, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x2cf2069c, "device_property_read_u32_array" },
	{ 0xdd9a24ca, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa72bac7, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x68c88b25, "kthread_create_on_node" },
	{ 0x934c418a, "wake_up_process" },
	{ 0x3873bcc4, "sched_set_fifo" },
	{ 0x27e8e434, "devm_gpiod_get_optional" },
	{ 0x549e7f5d, "gpiod_set_value_cansleep" },
	{ 0xfb578fc5, "memset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfa812107, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x68459ea0, "uart_add_one_port" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x10152c3c, "gpiochip_add_data_with_key" },
	{ 0xda06b6a0, "devm_request_threaded_irq" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x3d751d4c, "dev_err_probe" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf8a5b116, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x646bdb0b, "uart_handle_cts_change" },
	{ 0x882ab10b, "uart_handle_dcd_change" },
	{ 0x4e993d51, "kthread_queue_work" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x22aefc11, "kthread_queue_delayed_work" },
	{ 0xda0f14c1, "regmap_write" },
	{ 0xd580be1f, "regcache_cache_bypass" },
	{ 0xf7b5ed07, "gpiochip_get_data" },
	{ 0xf44a003, "uart_register_driver" },
	{ 0x4783f4cd, "uart_unregister_driver" },
	{ 0x63f40434, "kthread_cancel_delayed_work_sync" },
	{ 0xffb7c514, "ida_free" },
	{ 0x47e9597a, "uart_remove_one_port" },
	{ 0x6b7335ee, "regmap_update_bits_base" },
	{ 0xd081b806, "kthread_flush_worker" },
	{ 0xc81265f2, "kthread_stop" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "3EEF39003CB3AD5DF0C0C9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
