#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54ea6dfe, "xen_start_flags" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d0fb348, "xen_find_device_domain_owner" },
	{ 0x22366fc6, "pci_read_config_word" },
	{ 0x260d47fe, "xen_register_device_domain_owner" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0xc751a6e4, "xenbus_unregister_driver" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9048cdc0, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0x4fe60f1d, "__xenbus_register_backend" },
	{ 0x99ba878d, "pci_store_saved_state" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ce3cd07, "pci_restore_state" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x420a23dc, "pci_set_master" },
	{ 0x941a0421, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xac5c7477, "xenbus_watch_path" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x34850434, "xenbus_unmap_ring_vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0xa61763f8, "pci_write_config_byte" },
	{ 0x94e6ee55, "pci_dev_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x53a9354e, "pci_load_and_free_saved_state" },
	{ 0x343d7e25, "pci_disable_msix" },
	{ 0x6213a9c2, "pci_disable_device" },
	{ 0x7543ae08, "xenbus_dev_is_online" },
	{ 0x870e16b7, "xen_test_irq_shared" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xccb667cc, "pci_read_config_byte" },
	{ 0xabb206df, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xee852a5f, "_dev_printk" },
	{ 0xcd24d6ab, "pci_write_config_word" },
	{ 0xd41d1fad, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x20df5d13, "pci_write_config_dword" },
	{ 0xa95d4862, "pci_bus_type" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x45d14bdf, "hypercall_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xbff541e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x96f78d8c, "bus_unregister_notifier" },
	{ 0x47c1bd47, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbce2f001, "driver_remove_file" },
	{ 0x1bbbef68, "pci_dev_put" },
	{ 0x9cc63ae, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xae16da69, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x96848186, "scnprintf" },
	{ 0x3678550a, "__pci_register_driver" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xc3bc4dc8, "pci_disable_msi" },
	{ 0x37a0cba, "kfree" },
	{ 0x27b1f8a7, "pci_clear_mwi" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd7049fa5, "pci_set_power_state" },
	{ 0x897e723e, "xenbus_switch_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0x8addf229, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdce33e5a, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x556b61c9, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ffe8da6, "pci_enable_msix_range" },
	{ 0xebad3764, "driver_create_file" },
	{ 0x67a69728, "xen_unregister_device_domain_owner" },
	{ 0x2ca20e55, "bus_register_notifier" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xd72feba2, "xenbus_read_driver_state" },
	{ 0x33f30b31, "pci_set_mwi" },
	{ 0x65ca033f, "pci_find_capability" },
	{ 0xa452f2a4, "xen_pirq_from_irq" },
	{ 0x71ea4987, "pci_clear_master" },
	{ 0xbd45293e, "__pci_reset_function_locked" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x10addfe0, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xe645db8a, "pci_load_saved_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C734A2AB2F3061B16342CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
