#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b3b311a, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0x63057244, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0x14d3945e, "fscache_withdraw_cache" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0xac2c1596, "bpf_trace_run5" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd5559ecc, "lock_rename" },
	{ 0xf1d40878, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0x30f9be83, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x6afed6b8, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc33cce6b, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x7dbfc7, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xadd4322, "vfs_iocb_iter_read" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x59a12816, "misc_register" },
	{ 0x9aecf2bf, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c10e049, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7a1e4b2a, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x8066d63d, "fscache_acquire_cache" },
	{ 0x42e4252d, "security_path_unlink" },
	{ 0xb41bd04a, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9338b85d, "security_inode_create" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0xdbf2de95, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe6fa417e, "fscache_add_cache" },
	{ 0x918e3330, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2333ff26, "path_get" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x94b1ef7a, "lookup_positive_unlocked" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xbadbf833, "fscache_withdraw_cookie" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c2d6da7, "fscache_clearance_waiters" },
	{ 0xf7962812, "dput" },
	{ 0xe32cd4f3, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2251557, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xed8a13ba, "__SCK__tp_func_fscache_access_volume" },
	{ 0xe943c560, "vfs_llseek" },
	{ 0xb9f7fe74, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe89b0ad0, "rcuwait_wake_up" },
	{ 0x2687a76c, "vfs_link" },
	{ 0xe9c590a0, "prepare_kernel_cred" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc13738be, "security_inode_mkdir" },
	{ 0xbf3f2318, "security_path_rename" },
	{ 0x962d3ae0, "set_security_override_from_ctx" },
	{ 0xb167ba22, "netfs_prepare_write_failed" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x7c123f82, "kmem_cache_destroy" },
	{ 0xde6046ef, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0x5410d51a, "fscache_wait_for_operation" },
	{ 0x407a5e33, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x309ee662, "revert_creds" },
	{ 0xd03467bd, "misc_deregister" },
	{ 0xcf98a2a, "vfs_setxattr" },
	{ 0x4cecb17c, "fscache_try_get_volume" },
	{ 0x8658ca5, "notify_change" },
	{ 0x246b16d2, "bpf_trace_run4" },
	{ 0x10246187, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa4d87907, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x174594db, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x224bb790, "fscache_get_cookie" },
	{ 0xa6257a2f, "complete" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x269589b, "iov_iter_advance" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x26bec923, "abort_creds" },
	{ 0xe1672064, "fscache_io_error" },
	{ 0xb26598e9, "sync_filesystem" },
	{ 0xf50801cc, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0xa4b5960d, "fscache_cookie_lookup_negative" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x747bbdc7, "kmem_cache_create" },
	{ 0x31cc3e8f, "bpf_trace_run8" },
	{ 0xe00b76aa, "vfs_unlink" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8fdad9b2, "vfs_truncate" },
	{ 0x2e519df2, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x677fcc27, "__put_cred" },
	{ 0x145c55b2, "vfs_mkdir" },
	{ 0x9e42cda8, "kernel_tmpfile_open" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x8db1b09a, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b3c30b3, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xdb1a46c5, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c0e4e04, "vfs_iocb_iter_write" },
	{ 0xf95578ef, "fscache_end_cookie_access" },
	{ 0x3defef81, "fscache_withdraw_volume" },
	{ 0xd980ca0e, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0xdffb94a5, "fscache_relinquish_cache" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3ae02e20, "mnt_drop_write_file" },
	{ 0xf09d43c4, "mntput" },
	{ 0x6aee61e6, "fscache_put_cookie" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "E334E336AF1C98BD2316F4F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
