#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x3ee4bc18, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xb6a300e6, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x37d04b11, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x19945149, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x3e5590d8, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x30a693b6, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xacb47626, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x70ad18ee, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x467c4ac5, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x6ca5417c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdef96005, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xb07adf32, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4e7d4c4c, "iptunnel_xmit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf2b7f438, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52df3af4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52a74c62, "__dynamic_netdev_dbg" },
	{ 0x7a55aa11, "dst_cache_get_ip4" },
	{ 0xc39246b4, "sock_create_kern" },
	{ 0x429bc767, "call_netdevice_notifiers" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x98b016c2, "metadata_dst_alloc" },
	{ 0x4b4ac15d, "dst_release" },
	{ 0xc02663be, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5bfe9f4, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4c68fc, "dst_cache_set_ip4" },
	{ 0xddfa3e9c, "kernel_bind" },
	{ 0xae14eada, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9df0a78, "netdev_warn" },
	{ 0x94446a57, "udp_tunnel_nic_ops" },
	{ 0x79b29d4f, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9C0ECDBAD8C6137F60F327");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
