#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x8edd9a03, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x72be6c3f, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x35a0896d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x980b6373, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xbb3ec0e3, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x0adbded9, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x7122a45f, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x9e6403aa, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xe8c6108b, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x6fe6373a, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x62871ae8, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xb56cfa2c, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xb9ce01b3, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xfa2f89d5, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xd1ce08d8, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xa5f44afc, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xc9140e67, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x19e6b3be, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xcb37d9ed, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xe5876829, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xced6962a, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x448f9e43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc637130, "snd_hda_apply_fixup" },
	{ 0x3073330c, "snd_hda_enum_helper_info" },
	{ 0x3c049912, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xc00b6e7d, "snd_hdac_codec_read" },
	{ 0xba753f68, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x97f2202f, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xf260b44c, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf74c5f7, "snd_hdac_regmap_sync" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xbfddb4a0, "snd_hda_apply_verbs" },
	{ 0xfb125dca, "snd_hda_codec_amp_update" },
	{ 0xcca77aec, "snd_hda_add_new_ctls" },
	{ 0xf4302b14, "snd_hda_get_connections" },
	{ 0xbea5340, "snd_hda_codec_amp_init_stereo" },
	{ 0x84320488, "snd_hda_set_vmaster_tlv" },
	{ 0xe49702af, "hda_get_autocfg_input_label" },
	{ 0x98f0ef49, "query_amp_caps" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0xf55e8437, "snd_hda_mixer_amp_volume_info" },
	{ 0xc9d47f56, "snd_hdac_regmap_read_raw" },
	{ 0xeffbbba9, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xde624766, "snd_hda_codec_setup_stream" },
	{ 0xb5378f5d, "snd_hda_mixer_amp_switch_info" },
	{ 0x599322f1, "hda_codec_driver_unregister" },
	{ 0x3db6d609, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c1bc0f4, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xec09ebd9, "snd_hda_jack_tbl_get_mst" },
	{ 0xeaa49571, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7fbe189, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xae319ed8, "led_classdev_unregister" },
	{ 0xc2774708, "snd_hda_codec_pcm_new" },
	{ 0x22c76c7f, "__snd_hda_codec_cleanup_stream" },
	{ 0x751ef90f, "snd_ctl_sync_vmaster" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xee997d1d, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f4ae067, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x49c4194f, "snd_hda_add_imux_item" },
	{ 0x34c6ba8, "snd_hda_correct_pin_ctl" },
	{ 0xbeee3e08, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x46fb4c68, "snd_hda_create_dig_out_ctls" },
	{ 0xe0e2174, "snd_hda_multi_out_dig_close" },
	{ 0xd6e20459, "snd_hda_get_conn_index" },
	{ 0xe3ba8491, "snd_hda_multi_out_analog_open" },
	{ 0xc6679420, "snd_hda_get_bool_hint" },
	{ 0xbfac98fb, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x99262020, "snd_hda_find_mixer_ctl" },
	{ 0x625c32c2, "snd_hda_get_int_hint" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x75d5ce57, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xbe79be12, "snd_hda_parse_pin_defcfg" },
	{ 0x10e7d78, "snd_hda_codec_amp_init" },
	{ 0xbd44e99b, "snd_hda_create_spdif_in_ctls" },
	{ 0x95554b25, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x34702658, "snd_hda_multi_out_analog_cleanup" },
	{ 0xb559767b, "snd_hda_multi_out_analog_prepare" },
	{ 0x188bcf81, "snd_ctl_boolean_stereo_info" },
	{ 0xba78fd75, "snd_hda_get_conn_list" },
	{ 0xc23b9f29, "snd_hda_mixer_amp_switch_get" },
	{ 0x67128f13, "snd_hda_codec_set_pin_target" },
	{ 0x1ed00ea9, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5d0b112d, "snd_hda_attach_beep_device" },
	{ 0x79a97d57, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x528b29c3, "snd_hdac_regmap_write_raw" },
	{ 0x82529443, "snd_hda_mixer_amp_volume_get" },
	{ 0x86cb04c0, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x1a2c88db, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfa1c3402, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc35dfae5, "snd_hda_jack_unsol_event" },
	{ 0x56cc610f, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3bf49aec, "snd_hda_mixer_amp_tlv" },
	{ 0xb7b6b9a4, "snd_hda_jack_add_kctls" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x9015d8c4, "__snd_hda_add_vmaster" },
	{ 0x9250531d, "snd_hda_codec_amp_stereo" },
	{ 0xd578d15d, "snd_hda_sync_vmaster_hook" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "4BD4D94F2A767C6F8A6C755");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
