#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_dev_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_update_bits, "_gpl", "");
KSYMTAB_FUNC(tasdevice_kzalloc, "_gpl", "");
KSYMTAB_FUNC(tasdevice_reset, "_gpl", "");
KSYMTAB_FUNC(tascodec_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dsp_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_save_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_apply_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_getvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_getvol, "_gpl", "");

SYMBOL_CRC(tasdevice_dev_read, 0x0d2b6fe3, "_gpl");
SYMBOL_CRC(tasdevice_dev_write, 0xed564962, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_write, 0xf2c5b1fd, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_read, 0xfe10c21b, "_gpl");
SYMBOL_CRC(tasdevice_dev_update_bits, 0x9fd3920c, "_gpl");
SYMBOL_CRC(tasdevice_kzalloc, 0xf7b02dc9, "_gpl");
SYMBOL_CRC(tasdevice_reset, 0x75cc0617, "_gpl");
SYMBOL_CRC(tascodec_init, 0x92e993e6, "_gpl");
SYMBOL_CRC(tasdevice_init, 0xf30a9a0f, "_gpl");
SYMBOL_CRC(tasdevice_dsp_remove, 0xd60d28da, "_gpl");
SYMBOL_CRC(tasdevice_remove, 0xb18d2cdf, "_gpl");
SYMBOL_CRC(tasdevice_save_calibration, 0xdc445923, "_gpl");
SYMBOL_CRC(tasdevice_apply_calibration, 0x9f45f261, "_gpl");
SYMBOL_CRC(tasdevice_amp_putvol, 0xad85b651, "_gpl");
SYMBOL_CRC(tasdevice_amp_getvol, 0xb40304ea, "_gpl");
SYMBOL_CRC(tasdevice_digital_putvol, 0xbe795b65, "_gpl");
SYMBOL_CRC(tasdevice_digital_getvol, 0xa7ffe9de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda0f14c1, "regmap_write" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0x549e7f5d, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b3011d, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x3a26a44, "request_firmware_nowait" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf8a5b116, "regmap_read" },
	{ 0x3e31dc96, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb658ff8a, "regmap_bulk_read" },
	{ 0x6b7335ee, "regmap_update_bits_base" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "74EB1B0674930239FD521EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
