#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xcee6e016, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xe63e37aa, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xc20cd96a, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x403278dd, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x43896bca, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x10931be1, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xa04de5c7, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xef777caa, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xf64e814d, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x57c52da4, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x5a55bd70, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x7dbdbd45, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xde1d5bb6, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x2b34dc8c, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xd6610864, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xabbcdf42, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xf5e0bfca, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xe68c6099, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x987e2180, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x5e8be5c3, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xcccad97c, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x6900fdc2, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x60b14edb, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x05013c6f, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x7da8ba6a, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x29311cd5, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x2fb339c9, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x13ae173c, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xaede4f04, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x584751a7, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x6c7ddae8, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xb9e684f0, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x3fbe0996, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x67265cc2, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x9d7e1bbd, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xedd00890, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xbbee01e1, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x14e725e4, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x2c705fdb, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xe9902c8f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xf4723e33, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x6f241146, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x61f5d5fc, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x3c1eef60, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x054fa75b, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x22f22694, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xeff81cd7, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xeffc0a95, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x0ff0caa1, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xd8bd90ab, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xce10af03, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x2df2bc21, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x942625a6, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xab7a8c43, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xdb69d9cf, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xeb28283c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x2754fc4b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xfa823327, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xa7398769, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x8aece9a8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x54abd95e, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xfc0d7b49, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xa39c16fe, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xd6a1fc0a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x33870383, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xb40ca286, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x12f8234a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x606bc8d6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xeea5caf7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x05ed55f7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xec67840a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x22eedb1f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xe1e83442, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x640f7568, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x2f00efdc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x050fe3ba, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xb995cf68, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xb378f358, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xf6068acd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xa67bc319, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x0313a876, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xa236485b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xad3f489b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xb4a21a99, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x188ff0fc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x6d1303f8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xd5bc3c27, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x183bf2bb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x5913eb00, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xf0a4491b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x47c7e5d3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xd22a41b3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x6c130e0b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xd056304b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xa985e236, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x9b133483, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x05a3f1f0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xe98a492b, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x963ae91d, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x8180a6bd, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x401c21d2, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x4835ecce, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xb839ce6c, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x250abb8a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x333190de, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x9dc42fb6, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xde22f056, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x7f2b95a1, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xd2ba66e6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x6a6965a6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x95763de9, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x71e1f8ef, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x1eb05403, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x91397bba, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x2721f6e1, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xf663911d, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x74808235, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xdf303b9b, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xb392eaf4, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0x3bf13231, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x842288bf, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0xa6eb3f20, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x787451e3, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xa64af710, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x7860d974, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xfa6cb93e, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x1c24e979, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xf2926dea, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x84aec5a0, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xf94d56f1, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0xa026718d, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x84c98886, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x83934f97, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xa7a6c1ae, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x029cd1d8, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x5039f158, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x73aa17c1, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x727dcf16, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x0f9d7b4c, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xc6276330, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xb2d80951, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x0ddcb94f, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x37f99f59, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol_locked, 0xe9466b3f, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x74b30a00, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xd5a8e6b2, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x5cb9936d, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x47f9ebe5, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x5342abae, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x7114284b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xfc3bb0b5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x0a9a3e4c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x113013e5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xf4781cbd, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x08048f85, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x4412fb66, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x3fe7fc80, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0xeb751fd1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xb85b708a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x3c71b061, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x4230cc02, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x97adc24f, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xfef3ddd4, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xbec62040, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x639f9dfa, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xa01747f1, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xd9bba1f9, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xfec23060, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x0ea981a1, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x47148e79, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x58f01438, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xeab98ec1, "_gpl");
SYMBOL_CRC(widget_in_list, 0x0148a10d, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x95b54609, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x70e07c10, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0xaf940922, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0x838ec2e7, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0x514149ca, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x0b55a212, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0x1057cc0f, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0x7c4d057e, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0xac6895d6, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x8f1497a9, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x58ceaa72, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x8abf30da, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xff63434e, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xb6b720ed, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x6d9638be, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xfe5a6f3c, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x75734a8d, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xad98340b, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x025f9157, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x53345d69, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0xfb899bda, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x68537383, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x4fc42f22, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0xf578c312, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x66b49490, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x2d33f709, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x2877e3d6, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xefbbf1a2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xb5b2e601, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0xd9e7ef08, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x8d1ba890, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x32e36b93, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xf8173c15, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xa97cf02b, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x598574d6, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x98b502b1, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x6b53e192, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x13eb9fdc, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x79cf49c4, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0xc89870b2, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xa7e67d13, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x3d0edfb6, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x38da4089, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0xd53d1967, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xdef4676e, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xfeeaaff8, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x7e33d2ae, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x7d668d29, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x661c39cc, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xc1aa2e0a, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x9b229fe4, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xc6486490, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5f8e007, "snd_pcm_stream_unlock_irq" },
	{ 0x63377bca, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf6e3d1c6, "devm_kstrdup" },
	{ 0x9124daa5, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x93803df8, "debugfs_lookup_and_remove" },
	{ 0xd2257a52, "put_device" },
	{ 0xf842c3e9, "gpiod_unexport" },
	{ 0x3f2448a4, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x80a23629, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x613cd4db, "snd_dmaengine_pcm_close" },
	{ 0x68c8e43a, "dma_get_slave_caps" },
	{ 0xbabdb0c5, "_dev_info" },
	{ 0xc91fb6d8, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x73c8df18, "snd_card_new" },
	{ 0x2048519d, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdf047132, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe8889c6b, "snd_dmaengine_pcm_request_channel" },
	{ 0x6e3cd810, "perf_trace_run_bpf_submit" },
	{ 0xc5e4b4a, "devm_kfree" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x14f516a2, "pinctrl_pm_select_sleep_state" },
	{ 0x3fe876e1, "simple_open" },
	{  0x44615, "snd_pcm_lib_ioctl" },
	{ 0x84fcf423, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x2c55600a, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x75035523, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x5af857b2, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ad08289, "dev_get_regmap" },
	{ 0x648a9fc2, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x66ea4166, "__devres_alloc_node" },
	{ 0x31dd3c05, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf24b09b4, "snd_ctl_notify" },
	{ 0x43c373e4, "regulator_allow_bypass" },
	{ 0x564409b7, "snd_pcm_set_ops" },
	{ 0xe66ece75, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x67be2954, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1d9c9c8, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x14b0ffc, "device_register" },
	{ 0x2e1ab7be, "bpf_trace_run1" },
	{ 0x190723f8, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd63f450a, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdd6fa028, "snd_dmaengine_pcm_open" },
	{ 0x6259c345, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb8beac42, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa50739fc, "snd_dmaengine_pcm_pointer" },
	{ 0xa86ff534, "__platform_driver_register" },
	{ 0x48b1f0be, "dma_request_chan" },
	{ 0xcec48a01, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54074100, "pinctrl_lookup_state" },
	{ 0xd573e346, "bpf_trace_run3" },
	{ 0x886054fa, "seq_read" },
	{ 0x42f0f267, "snd_compress_new" },
	{ 0xc44d4206, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x911a1ba9, "snd_hwparams_to_dma_slave_config" },
	{ 0xfea8825f, "platform_device_register_full" },
	{ 0xf8a5b116, "regmap_read" },
	{ 0xc4371059, "trace_event_buffer_reserve" },
	{ 0xafa65e8, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb76ed744, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd56799b3, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xf079c9ff, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x4a5f620e, "pinctrl_select_state" },
	{ 0x74870014, "snd_power_wait" },
	{ 0x878f7b7e, "snd_pcm_hw_constraint_msbits" },
	{ 0x947c1b35, "single_release" },
	{ 0x6b7335ee, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3d751d4c, "dev_err_probe" },
	{ 0x2e8cc4de, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0xb022abb5, "device_add_groups" },
	{ 0x7d8610ec, "__pm_runtime_suspend" },
	{ 0x4ad485f3, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xad2681d8, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x40141f07, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xc4ac49d3, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x73ae0cf7, "__pm_runtime_idle" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf2989757, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xb831d536, "gpiod_get_value_cansleep" },
	{ 0x6b0f5d07, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7ab5a2a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x40e99f73, "_copy_to_iter" },
	{ 0x42f5a494, "gpiod_put" },
	{ 0xda0f14c1, "regmap_write" },
	{ 0x10246187, "param_ops_uint" },
	{ 0xbe883cef, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe2ab82d1, "dev_set_name" },
	{ 0xa638396b, "regmap_get_val_bytes" },
	{ 0x6818bb73, "platform_driver_unregister" },
	{ 0x9ea2c31d, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdfefbf47, "snd_dmaengine_pcm_sync_stop" },
	{ 0xc63da86f, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x970f5200, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ca5c1cb, "trace_raw_output_prep" },
	{ 0x3b1abccc, "regmap_raw_read" },
	{ 0x1c25e04f, "snd_card_register" },
	{ 0x9cc63ae, "device_unregister" },
	{ 0xc6f782d4, "snd_card_free" },
	{ 0x4c786659, "__trace_trigger_soft_disabled" },
	{ 0x3838ccd5, "trace_event_printf" },
	{ 0x85218d74, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x789466fc, "gpiod_get_index" },
	{ 0x5681520d, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x4f3e8452, "snd_pcm_hw_constraint_minmax" },
	{ 0xc45d757c, "trace_event_raw_init" },
	{ 0x74cc2afe, "gpiod_to_irq" },
	{ 0x397a2390, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a6b150e, "snd_ctl_find_id_locked" },
	{ 0xb8f31508, "dma_release_channel" },
	{ 0x930a0c94, "pcpu_hot" },
	{ 0xecea968c, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x6f6f4abf, "regcache_mark_dirty" },
	{ 0xffd5e836, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xea59efb7, "regulator_disable_deferred" },
	{ 0xab28aa6a, "__dynamic_dev_dbg" },
	{ 0xe33c560e, "snd_ctl_remove" },
	{ 0xf279ea58, "snd_ctl_free_one" },
	{ 0xc8154a55, "snd_ctl_find_id" },
	{ 0x7290cb1, "devm_clk_get" },
	{ 0x8c02f8f2, "devres_add" },
	{ 0x7719907c, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfc795887, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x13091174, "snd_dmaengine_pcm_get_chan" },
	{ 0x133c56c1, "pinctrl_pm_select_default_state" },
	{ 0x167ac4e6, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xc72b8697, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "7E2107D9DE510EBB6F6038A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
